Arena - Help -Welcome

Welcome!

Please copy this file to your Arena directory, subfolder "Readme", e.g.

C:\Arena\Readme

This is the help system for the GUI for chess engines "Arena".

The Internet site of Arena is:

http://www.playwitharena.com

Current Arena-Version: 1.99beta4

Select a help topic on the left side. Some topics have subtopics. Some topics have subtopics, they have a [image] - sign.

This helpfile is also still in beta stage.

A few help subtopics refer to the upcoming Arena 1.99beta5, but this is mentioned then.

This helpfile was created on: 2008-01-13, 20:47


Arena - Help -Note

Note

Arena is a GUI (Graphical User Interface) for chess programs (engines). It was developed by Martin Blume, Marl, Germany since mid 2001. The goal was to develop an easy-to-use but yet freely availabel GUI for the ever-growing number of chess engines.

Almost all Winboard- and UCI chess engines run under this GUI.

Operating systems supported: Windows 95/98/ME or Windows NT 4.0/2000/XP/Vista or higher. Of course you can find freeware chess engines on the internet.

Good sites to start with are:

  • WBEC
  • http://www.tim-mann.org
  • http://www.superchessengine.com/
  • http://www.shredderchess.com/
  • http://www.top-5000.nl/index.htm (Ed Schröder)

Arena © by Martin Blume, 2008

If Arena is distributed or offered in any way, e.g. on the Internet or sold on a CD, the written agreement of the author is required. You find copyright licenses for Arena in the folder "Readme" in the file "copyright.txt".


Arena - Help -Base Functions

Base Functions

The basic functions can be reached easily with the navigation bar (e.g. navigating within a game) or the toolbar .


Arena - Help -Base Functions - Playing a Game

Playing a Game

1. Choose the desired level.

2. Select 'File → New' from the main menu.

3. If you want to play with black, click on the chip-symbol [image] on the navigation bar or simply press the spacebar. The engine will now move with white.

4. Click the piece with the left mouse button

5. Click the desired square you want the piece to move to.

Hint: you can also drag-and-drop a piece with the mouse from its start to its target square.

Also you can type in moves with the keyboard. For the move e2-e4 just type the keys e,2,e,4.

6. The chess engine will now start to calculate and make its move.

7. go on with point 4!

  • The features "Resign" and "offer draw" can be found under "Game" in the main menu.


Arena - Help -Base Functions - Entering a Game

Entering a Game

Click on 'Edit' besides the navigation bar. The engine now doesn't start calculating if you make a move.

You can click the "Edit" button again to switch to the previous state.


Arena - Help -Base Functions - Entering a Position

Entering a Position

The set up dialog can be reached by main menu → position → set up board or a click on the icon [image] in the toolbar.

The way to set up a new position:

1. If necessary, you click 'clear board'. After a confirmation dialog the board is completely empty.
2. Click the piece you want to set on the board.
3. Click the square on the chessboard, on which the piece should be placed. A left mouse click sets a white piece on the board, a right mouse click a black one. If you want to clear the square, just double-click the square or press the shift key in addition.
4. Repeat pos. 2-3 for all pieces you like to appear on the board.
5. Set black on move, if you like.
6. If not all castling rights should be granted, you can limit them here
7. If a game should not begin with move number 1, you can set a different number under "Options/First move has no".
8. If you want allow an en passant move, you can set the ep-square under the options. This square must me on the 3./6. rank.
9. If you don't want to play normal chess, you can also choose Fischer Random Chess or Shuffle Chess
10. Press OK.
11. Save the new game.

Move pieces:

You can also move all pieces to the top, bottom, right or left with this dialogue.If you move the pieces to the top, the pieces in the
8. rank are lost, also in the other directions in the same way.

Mirror the board:

Also you can mirror the board vertically or horizontally. Mirroring horizontally is done at a line between the
4th and 5th rank, vertically at a line between the d- and e-line.

Switch white and black pieces:

This exchanges every white piece with a black piece of the same type and vice versa.


Arena - Help -Base Functions - Adjust Playing Level

Adjust the Playing Level

This is under Levels → Adjust or a click on the clocks.

Select the mode you like. Depending on the mode chosen the possible settings on the right side change.

Here is an overview on the different modes:

  • Fixed search depth

The engine only calculates to a give search depth in half moves. This is only useful for testing, not for real games as calculating times may vary greatly. Often not supported by WinBoard engines.

  • Time per move

The computer calculates for the given time in seconds and aborts the search then. Not recommended for WinBoard engines, as this feature often is not or badly supported. Never use this level for engine matches. Engines should use this time as exactly as possible, no matter what position.

  • Blitz (=Fischer-Clock)

In this mode every player has a certain time as a base for the whole game. Additionally for every move a bonus is given. This has the advantage that a player who has the advantage either positional or in material terms does not lose on time so easily. Please note that the base time is given in minutes and seconds, but the bonus in seconds and optional in milliseconds (1/1000 of a second). This mode is also used frequently for playing on the internet (ICS). It was invented by ex- world champion Bobby Fischer therefor it is also called "Fischer Clock" .

  • Mate search

The program only searches mates in a given depth. Some engines run considerably faster if they can omit the time-consuming positional evaluation.

Winboard engines can't do that mode, because this is not in the WinBoard specification. Arena sets for WinBoard engines the mode 'fixed searchdepth' with twice the depth of the mate search depth given here. All mates should be found then.

  • Infinite

The Computer searches until the maximum search depth of the engine is reached. UCI engines can do that without problems. For Winboard engines the settings under "Engines → Manage → Options" are used. In reallity it is a very long blitz level, an emulation.

  • Tournament

You can set a maximum of three different time controls. Select in how many minutes the given number of moves must be executed. If you select 'All' for moves, the given time counts for the rest of the game.

If you like to have only one time control and the game should be over in one hour, use the following settings:

Time Control No.1 : Moves : All Minutes: 30 (The time counts per player!)

You can declare every time control as 'repeating'. Then the following time controls are hidden. If a time control is to be used for the rest of the game (for all remaining moves), select "Rest".

Arena can watch out for time forfeits, if you select this under 'Engines/ Manage / Options', set "autoflag=on" for this.

Normally Winboard engines know only about one (repeating) time control. If you selected "Extended level command for Winboard" an extended level command will be sent to the engine. A tournament level with 40 moves in 15 minutes, then again 40 moves in
15 minutes, then rest in 15 minutes will be sent as follows:

level 40 15 0 40 15 0 0 15 0

  • Nodes

Only the given number of nodes will be searched. Winboard engines can't do that unless they support the specific command 'sn <n>' of the engine "Crafty ".The command 'sn 0' means no restriction on the number of nodes searched.

Saving the preferred levels:

If you need some levels frequently, you can make them accessible directly via the main menu:

1. You select the menu item you want to modify (1-8) in the drop-down box
2. The current usage is shown.
3. You change the mode and settings to the desired level, like 'Blitz 2/12'.
4. Press the 'Save' button.
5. Press OK to close the Dialog.
6. Now you can find your level in the main menu. The first preferred level is on top of the list, the second one below etc..

These are the defaults for the preferred levels:

  • Blitz 2/6
  • Blitz 2/12
  • Blitz 5/20
  • Blitz 20/30
  • Tournament Game in 5
  • Tournament Game in 15
  • Tournament 40/30 40/30 Rest:30
  • Tournament 40/120 40/120 Rest:120

The following levels in the main menuare not changeable as they are most frequently used:

  • 40 moves in 5 minutes
  • 40 moves in 10 minutes
  • 40 moves in 20 minutes
  • 40 moves in 40 minutes
  • 40 moves in 60 minutes
  • 40 moves in 120 minutes
  • 40 moves in 150 minutes

All have repeating time controls.

Handicap

If you like to run an engine with reduced strength, the time control for this engine becomes proportionaly lower. Instead of 10 minutes for the game the engine gets told to play the game in 5 minutes. You can set this in the engine management, see limit playing strength .


Arena - Help -Base Functions - Load and Save

Load and Save Games

Arena can load and save files with the extension EPD, PGN and FCH.

Arena accepts EPD, PGN and FCH files via drag and drop. Just drag the file from Explorer or File Manager onto the Arena main window, and the file will be loaded. This works also if Arena is not started, just drop the file on the Arena icon.

Files with the extention EPD, PGN and FCH can be doubleclicked in the Explorer. In order to load Arena then, these file types must be associated with the Arena program. Options → Appearance → Other settings.

The format 'FCH' is specific to Arena:

It will be saved:

  • all moves with all search information like search depths, times, mainlines
  • all data like player names etc.
  • no variations are saved, so it shouldn't be used in the future

Load Games in PGN-Format

Load Positions in EPD-Format


Arena - Help -Base Functions - Resign and Offer Draw

Resigning a Game and Offering a Draw

Resigning a Game:

Reachable with Game → Resign or keyboard shortcut Alt+F8.

You can resign a game against an engine here.

Offering a Draw:

You reach this function with Game → Offer Draw Alt+R.

If you have a WinBoard engine as opponent, you can offer it a draw. Please note that some engines don't support that feature.

UCI engines don't support this feature, and in Arena no feature is provided (yet) to support draw offering to UCI engines.

If the engine accepts the draw offer, the game will immediately end with a draw.


Arena - Help -Base Functions - Help

Overview on Available Help

ToolTip help (hints, quick help, popup help):

Short popup help you can select in the main menu in Help → ToolTip help. This activates the small yellow hints if you remain on a control for a few seconds.

You can deactivate this function the same way you activated it. An activated function is checked in the main menu.

This help in Windows-helpfile format:

Choose Help→ Help in the main menu to access the starting page of this helpfile.

Click a 'Help'' button in a dialog to go to a special help page for the current context.

Additional help on the Internet:

The best chances for getting help quickly is in the Arena Support Forum: The address can always be found on our Website .Here you can find up-to-date buglists, help on common problems etc. Don't hesitate to ask a question there.


Arena - Help -Main Screen

The Areas of the Arena Main Screen

The Arena GUI has 5 main areas:

1. The Chessboard Window
2. The Engine Analyses
3. The Chess Clocks and Logos Window
4. The Move List/notation
5. The Move Info/ Statistics Window

There are 3 more small areas:

a. The Toolbar
b. The Navigation Bar
c. The Status Bar

Of course Arena has a caption bar (on top of the window, normally in blue-gradient style) and a main menu just below, normally in grey.


Arena - Help -Main Screen - The Chessboard Window

The Chessboard Window

Here the chessboard is displayed. You can set a number of options under Options → Appearance → Board, e.g. switch on/off the co-ordinates, the to-move display, gridlines or a small board frame etc.

You can change the chess pieces under Options → Appearance → Pieces. The TrueType font ''Chess Merida'' is to be recommended. You can download this one on the internet for free.

Under Options → Appearance → Colours you can set the colours for the white and black squares, the frame, the colour of the marker showing the square you clicked on and colour of the marker indicating the last move.

Under Options → Appearance → Graphics you can choose graphics files for the white and black squares.

The font for the co-ordinates can be chosen with Options → Appearance → Fonts.

Under and on the right side of the chessboard area you find the splitters with which you can adjust the size of the chessboard. According to this size all other area adjust their size, too. You see the splitters, if you move the mouse over it, the mouse cursor will change.

With Options → Flip, the symbol in the taskbar or F12 you can rotate the board.


Arena - Help -Main Screen - The Chess Clocks

The Chess Clocks

You can pause the running chess clock with Options → Pause clock.

The clock will be paused automatically, if you minimise the Arena window and you are to move and therefore no engine is calculating at the moment.

The Chess Clocks and Logos Window

This area consists of five subareas for every player.

  • (a)The name or the logo
  • (b)The clock for the total time
  • (c)The clock for the current move
  • (d)The flag
  • (e)The name of the player or the author of the engine

(a) Here the name of the player will be displayed. If can be yourself, an engine or another player if the game was loaded from a PGN file.

(b) This clock shows the total available time, if you are in blitz or tournament mode. The time is counted downwards. In all other modes the totally used time is displayed. Then the times used for every move will be added. The clock counts up.

(c) The clock under that shows the time used for the current move.

(d) The flag will be shown if you selected a country for the engine playing. IF your playing yourself, you should select a country for yourself under Options/Names/Site. To work, you have to have the flags installed in the Arena subdirectory Flags. You can switch off the flags can with Options/Appearance/Display/ Show Flags.

(e) In the remaining lower space the name of the author of the engine is displayed, or the name of the human. If you want to display the name of the engine you should select under Options/Appearance/Display 'Show name instead of author'.

Under Options/Appearance/Display you can disable the flags (d) as well as the name/author (e) display.

The whole window can be hidden with Options/Appearance/Display 'Show clocks and logos'.

You access the popup-menu with the right mouse button. If 'Clock paused' is checked, then the clock does not run at the moment. This is advised for short breaks. This is the same function as under Options in the main menu. The clock is paused automatically if the Arena main window is minimised. If you restore the Arena main window, the clock runs again. You can select the position of the clock and logos area here and show the level dialog from the popup menu.


Arena - Help -Main Screen - The Move List

The Move List

In this area you see the moves of the current game. There are 2 types, the free and the fixed format, selectable under Options → Appearance → View.

Fixed format:

You see the move number, the move, the time and eventually the last mainline the engine has sent for this move. If it was a ponderhit, a small dot will be shown in front of the mainline. A 'ponderhit' is when the opponent has made the move the engine predicted while pondering. Best for evaluating engine play. Variations cannot be displayed very good in this format.

Free format:

Here you see the move numbers, the moves themselves, evaluations, variations and comments. Best for examining annotated games with variations.

Both formats:

With a click on the left mouse button on the move list Arena jumps to the corresponding move.

With a click on the right mouse button a popup menu appears. For a 'short comment' you can select one of the following signs: +-,-+,!,?,!?,?! or delete a sign.

With 'long comment' you can type in a longer comment for the move info window. With 'print diagram' you can mark a move. If you print the game, after this move a diagram with the current position is inserted. You can replay the game forwards or backwards with the corresponding menu items. or switch on/off the permanent statistics window.


Arena - Help -Main Screen - The Move Info and Statistics Window

The Move Info and Statistics Window

The move info window is quite self-explanatory:

The time is shown in minutes, seconds and milliseconds. If you jump within a game, the corresponding data of the move is shown. The move info window can also contain comments on the move. Before the first move, the game data is displayed.

The Statistics Window:

You can show or hide the statistics window with a click with the right mouse button on the move info window.

Here you can see a bar graph on the development of the values of the moves in the whole game. Good values for white are displayed positively, good values for black negatively. One small line on the vertical axis indicates one pawn unit.

With a double-click on a bar you can jump to the corresponding move.

The colours of the bars can be changed under Options/ Appearance/ Main Window/ with ''Statistics bar white'' and ''Statistics bar black''.

The bars are not displayed in a real game.


Arena - Help -Main Screen - The Toolbar

The Toolbar

The toolbar is located right under the main menu. You can entirely switch it off with Options → Appearance → Main Window → View, Toolbar. With the right mousebutton you get to a configuration dialogue, see below.

It consists of the following elements:

New, open file, save file, Infinite level on/off, Level +/-, flip board, set-up position , appearance, in/decrease chessboard, Load next/previous PGN game, start/ quit ICS mode, start/ quit DGT mode, the memory display, the EPD +/- buttons, the Arena version number display.

In addition you can add navigation arrows (see navigation-bar ) to the toolbar.

New

Creates a new, empty game, normal chess. If you click with the right mouse button, create a new Fischer-chess game. If you click with the middle mouse button, create a new Shuffle-Chess game.

Infinite level on/off

With the turned "8" (the mathematical "infinite" sign) you can switch off or on the infinite mode. The engine will then search for ever or not. With a click on the right mouse button you can select the level mode (fixed search depth, time per move, blitz, mate search, Infinite, tournament, nodes).

Level +/-

With a click on the left mouse button you can increase (clicking on the '+' button) or decrease (clicking on the '-' button) the level. In tournament mode you can change the minutes with the left mouse button and the moves with the right mouse button. In blitz mode you can increase or decrease the base time in minutes with the left mouse button and increase or decrease the bonus time in seconds with the right mouse button.

Flip board

The display direction of the chessboard can be switched here.

Set-up a position

You start the dialog to manually set up a position.

Appearance

Here you start the appearance dialog for changing almost all display settings.

In→decrease the chessboard

While increasing or decreasing the chessboard, all other elements of the Arena GUI change accordingly.

Load next/previous PGN game

With the left mouse button you can load the next or previous game in the currently loaded PGN file. With the right mouse button you can jump to a game from 10 to 10,000 games forward or backwards. If a jump would be too far, Arena will jump to the end or the beginning of the list. Please take into account that the current sorting order is in effect here. So if you sorted the PGN list according to player names, all games of a player are one after the other.

Load next/previous EPD position

You can go to the next or previous position of the currently loaded EPD file here. Useful if you switched off the display of the EPD list in the Main menu under 'EPD'.

Start/quit ICS mode (currently disabled)

You start the ICS mode here, the display changes and you can select an ICS profile. If you are already in this mode, you can leave it with this button (like with Ctrl+I).

Start/quit DGT mode

With a click on the left mouse button you can start or quit the DGT mode with the parameters you set. If you want to change these parameters, click with right mouse button or use Options/ Configure DGT chessboard.

The memory display

Arena shows the available memory on your computer system here. You can always watch whether you gave an engine too much hashtable memory. If you click on the display it switches from MB to kB and vice versa. If you have less then 10% free memory on your computer, the font colour changes to red. The value is rounded, please note that 1MB=1024 kB.

If you switched off the toolbar, the same info is shown in the status bar.

The Arena version number display

It serves not only to inform you about the current version number, but also you can call this helpfile with the left mouse button and show the About box with the right mouse button.

Toolbar Configuration:

Under Options /Toolbar or in the pop-up menu of the toolbar you reach this dialogue.

You can switch on or off all elements of the toolbar here. Moving of certain elements is now possible.

A description of the elements of the toolbar you find here.

Additionally you can switch on small navigation buttons in the toolbar.


Arena - Help -Main Screen - The Navigation Bar

The Navigation Bar

With this bar under the chessboard and/or under the movelist you can perform some basic functions:

With the first four buttons on the left you can jump within the game, with the '' Demo'' button start a game of the engine against itself, or the engines against themselves, if you have 2 currently loaded. With the 2 rightmost buttons you can switch to the analyse or edit mode.

1. Start of game button: Jumps to the start of the game, if clicked with the left mouse button. If you click on the right mouse button, Arena jumps 5 moves backwards.

2. To left button: Jumps one move backwards. If you right click on the button, a dialog is shown where you can select th move number you want to jump to (same function as Game/ Go to move of CTRL+G).

3. To right button: Jumps one move towards the end of the game. With a right click the go to move dialog is shown, too.

4. End button: Jumps to the end of the game. If you click on the right mouse button , Arena jumps 5 moves forward.

4. "Chip" button: Tells the current engine to start calculating ("Move now" function). If the engine is already calculating, the button displays a stop-sign. You can also click on the chip- or stop-sign with the right mouse button to stop the calculations of the engine.

6. Demo button: Starts the demo-mode. The engine will play against itself, or the engines against themselves, if you loaded two of them. This is suitable for a short series of test games. For longer series the engine match is better. You find it under Engines/ Engine - engine match.

7. Analyse button: Starts up or ends the analysis mode with the engine(s). They can not execute moves on their own in this mode. You can jump forwards and backward in the game with the navigation buttons or select the move right away in the game list without having to stop analysis mode. You can also select a different position in the the EPD list without stopping analysis beforehand. Please note that the engines are heavily loaded and only react slowly to your commands. So don't click too rapidly in succession on the navigation buttons. It is possible that this way the engines get out of sync with Arena. If that should happen, the best to do is to restart the engine(s).

8.Edit button: If this button is down, you can enter a game without interference of the engine(s). This would be the case if the edit button is not pressed and you enter a move. They would simply answer your move like in a normal game.


Arena - Help -Main Screen - The Status Bar

The Status Bar

The status bar, shown at the bottom of the main Arena window, is divided into two areas. In ICS mode a third area appears. On the left side the current level is displayed. On the right side the file you saved last time is displayed.

If you switched off the toolbar, the Arena version number and the 'Available Memory' information is shown on the left side of the status bar.

In ICS mode the name of the user is displayed in the form user@server. Eventually a computer account string is shown, if you're running an engine on the ICS.

If you click on the level display with the right mouse button, the level dialog will be shown. With a click on the right mouse button you can select the level mode (fixed search depth, time per move, blitz, mate search, Infinite, tournament, nodes).

If you click on the file display, you can load a different file.

You can change the font of the status bar with Options/ Appearance/ Main Window/ Other.


Arena - Help -Main Screen - Configure the Appearance

Configure the Appearance of Arena

With a click on the right mouse button on the chessboard, then selecting "Appearance" from the pop-up menu or in the main menu under Options → Appearance you reach this dialogue.

On the left side you can click 6 main pages, which will be described here:

Main Page "Chessboard"

Tabsheet Colours+Graphics

You can select the following areas: White and black squares are self-explanatory. Chessboard means the space beween the squares and apossible one-pixel-wide frame and the edge of the board. The highlighted square is the square you clicked on, e.g. to select the piece you wanted to move.

In addition, the one-pixel-wide frame around the board can be selected. Grid lines and the show last move features (style, frame thickness) can be turned on and off here.

The colour for highlighting the last move on the chessboard can be changed with the setting for "Last move".

Tabsheet Pieces

You can select 3 different types of pieces:

1. Default graphics (are built-in)
2. Calculated TrueType-Fonts using normal squares as background
3. TrueType-Fonts in the original version with diagonal hatched black squares

Using TrueType Fonts under Arena

On the Internet (e.g. www.chessvariants.com or www.enpassant.dk ) you will certainly find chessfonts you like. Download them and save them to a folder (e.g. c:\temp). Unpack them with an unpack program.

To use TrueType- Fonts, they have to be installed in your Windows operating system, of course.

This can be done the following way: Under Start / Settings / Control Panel / Fonts / File / 'Install new font" you get to the dialogue to select this font file you just downloaded. Search you folder (e.g. c:\temp) and press "Ok".

You need to choose your font under Arena: In the "Appearance" dialogue, tab "Pieces" you select "calculated graphics of TrueType-fonts". Klick "Select font" and choose your previously installed font.

Arena recognizes some fonts and sets parameters like scale, offset etc. automatically. If your pieces look something like that

you have won and may skip the following paragraph. You do not need to specify the mask, but if you do so correctly, Arena can display the pieces quicker.

The freeware-fonts of Armando Hernandez Marroquin are also supported as the fonts of Eric Bentzen are. The fonts of Marroquin are: Chess Kingdom, Chess Leipzig, Chess Magnetic, Chess Mark, Chess Marroquin, Chess Medieval, Chess Merida, Chess Millenia, Chess Motif, Chess Utrecht. Bentzen has created the fonts Chess Alpha und Chess Berlin.

Other fonts can be selected on this tab. The scaling factor has to be correct and the piece letters used by the chess font programmer. Some standard patterns are chosen automatically when you select a font, some can by selected directly by clicking on the buttons. Some fonts do not use the Marroquin- ,'Chess Alpha' or other standard, so you have to select the piece letters by hand, preferably by the windows 'character map'- application.

The Font 'Chess Merida' is a very good font for every purpose. It will be installed if you installled Arena by one of our setup programs.

If you have problems with the fonts, like translucent pieces, you probably don't have a problem with 'Font smoothing'. Windows supports 'Font smoothing' only with a minimal colour depth of your graphics card of at least 32768 colours. So under control panel/desktop/settings you have to select a colour depth of at least 32768 colours to avoid translucent pieces.

Shadows are displayed to the right and under a piece, if you set the appropriate checkbox. A gradiant can be added. The pieces look a bit brighter on the left side than on the right side.

Sliding pieces

You can select if pieces should slide (being animated) or not. You should choose the value by experimenting. Different PC's and graphics cards can have very different speeds these days. Most people prefer a faster play in matches, so you can give a smaller value in the input edit underneath.

Tabsheet Additional

If and where (on top, left, right or bottom) the board coordinates a-h and 1-8 are displayed, you can set here. The font and its colour for the coordinates can also be set.

With "ABCDEFGH" you can selet capital letters for the coordinates.

"Within the chessboard" shows the coordinates on the edge squares, thus saving space. Otherwise the coordinates are next to the edge squares.

If you drag a piece from one square to the other, the mouse cursor can be left unchanged, or change to a special symbol or be hidden completely for the draging operation.

Under "Features/ Show side to move" you can select, if the side to move should be shown with a dot bedides the squares on the chessboard.

"Additional Boad Frame" extends the board frame on the expence of the squares.

"Board frame has same width on all sides" sets the same margins between squares and board edge. They might be different otherwise because of different widhts and heights of the coordinates and enlarges all areas.

"Show player names above/uder board" shows a small line with player names above and under the board.

If you selected this option, you have a few additional choices: You can choose the colour for the square with the active player, show flags, ratings and evaluation symbols. You can set the font size for the clocks, the font for the clocks will be the same as set under "Fonts".

Tabsheet Arrows

You can make Arena show arrows to indicate the best move during analysis, calculation and/or pondering.

To distinguish between the engines, you can set a different colour for every engine.

If you select the style "translucent", please keep in mind that displaying the arrows takes a bit more CPU time, the "simple" style is faster.

Tabsheet Move Input

"Allow target square first" means, that you can (not must) make moves by first clicking the target square and then the start square.

"Allow one-click input" checks for every mouseclick onto a square, if the piece on that square can only make one single move and immediately executes this move. Also if only a single piece can move on a square (empty or occupied by an opponent piece), the move will be executed immediately.

"Enable move input with keyboard" allows you to make a move with the keyboard. For the move e2e4 simply press the keys "e","2","e" and "4" one after the other.

If you selected "Auto completion" Arena searches for the move, even when you typed only parts of it. E.g. you pressed "e" and then "4" in short notation. If "Only evaluate complete moves" is selected, this feature is disabled and you have to type the whole move in long notation.

Main Page "Movelist"

Short notation can be switched on for the movelist, otherwise long notation will be used.

"Show bookname for bookmoves" shows the name of the Arena book, from which the move has been played, if the move has been played from an Arena book.

Show values/times shows the base data of a move value, searchdepth and time or hides them if not checked.

"Show comments in the movelist" switches comments that might be existent off or on. Frequently comments are embeddet in PGN-files. Arena can read and save then, also in variations.

If you checked "Mainline in boldface if variations preasent", the font for the notation in the main game will turn to bold . Variations are not displayed in bold. This way readbility increases. You shouldn't select a boldface font for the moves then.

If you choose a figurine font (the name of the font contains the string "figurine"), graphical symbols are shown instead of the piece letter (e.g. "R" for rook). Prerequisite is that you have installed an appropriate font, like "Arena Chess Figurine".

You change the font for the various display areas simply by clicking on the according test shape.

The fonts CA Chess, CA Dialog, Figurine CB Aries, Figurine CB Letter, Figurine CB Time work fine. The FigurineSymbol S1-S3 and FigurineSymbol T1-T3 fonts do not work for displaying figurine symbols.

"Marked move colour" defines the colour of the current move in the movelist. "Marked move background" defines the colour of the background of the current move in the movelist.

The general format of the movelist can be set. The fixed format always shows the move and then the mainline calculated by the engine in one line. The free format shows all moves one after the other only with the basic data value, searchdepth and time. The formated views show the same data as the free format, but only one move is shown per line.

Main Page "Main Window"

Tabsheet "Colours":

On the right you see an example of how your desktop might look after the changes made.

Click on the button for the part of the desktop you want to change, e.g. on 'Background'. Now you can select a colour with the normal colour selct dialogue box.

The clock for the side to move can be displayed differently than the clock for the side not to move. The last move you can mark with a different colour.

In the permanent statistics window you can set the colours for the bars representing the values calculated by the white and the black engine. The engine playing with white gets a different colour than the engine playing with black.

The colours for the splitters and the program frame can be choosen. The splitters are used to resize the program areas and can be highlighted or not, as you like it.

Tabsheet "View":

Show clocks and logos, large logos, flags, author, opening classification and toolbar can be switched on or off.

'Show engine name instead of author' refers to the line underneath the logo and the clicks. It shows the engine name, if an engine is loaded. Otherwise the author of the engine is shown.

The additional items: The toolbar can be switced on or off. The side to move next to clocks (the king symbol) can be switced on or off.

The material difference can be hidden or shown. This works also with a mouse-right-click on this item.

You can also swith on or off the area with the opening classification and/or the current FEN.

The status line can be switched enabled or disabled here.

The scale of the statistics window can be set here in pawn units.

Tabsheet "Other":

The bitmaps for the Arena background, toolbar and clock and logo area can be changed here.

The main fonts Arena uses for vaious items can be changed here. You see a sample text formatted with this font underneath.

Splitter and Frame sizes determine the size of the corresponding elements in pixels. The frame is the frame of the Arena main window. Splitters (used to change board area sizes) are e.g. between board and analyses output.

With 3D style and thickness you can adjust a lot of different effects for the Arena main window. The areas like board, move list etc. can appear risen, lowered or with a small frame.

Main Page "PGN"

You can determine the action taken if you load a game. The PGN window can be closed or minimised then. Also Arena can do a jump to a certain move. If you always want to jump to the end, just select a high value here.

Additionally if you want to save a game in PGN format, you can choose to save the mainline to every move, the value/depth and the time taken by the player or the engine, if this information is available.

The Autosave function offers additional features: You can save the current game in PGN format after every move. Useful for a backup of the current game.

Also all games can be logged (autosaved) in PGN format. So no game is lost if you happen to forget saving it.

Since Arena 1.99beta5 it is also possible to save only the selected PGN-tags. However, the seven tag roster is mandatory in the PGN- specification and these tags are saved always. It containes:

  • Event (the name of the tournament or match event)
  • Site (the location of the event)
  • Date (the starting date of the game)
  • Round (the playing round ordinal of the game)
  • White (the player of the white pieces)
  • Black (the player of the black pieces)
  • Result (the result of the game)

Since Arena 1.99beta5, additionaly, you can allow or disallow Arena to change some game tags alltogether. So Arena will only load them e.g. from a PGN file and then never change. Uncheck the tags you would like to write-protect.

Main Page "Sounds"

Tabsheet "General"

In certain situation sounds can be played. Wave or Midi-files are accepted here. Since Arena 1.99beta5 it is also possible to play simple beep sounds by the PC speaker. They have the form:

beep: frequency:duration

"frequency" is given in Hz, "duration" in milliseconds. Example:

beep: 520:100

"Also in matches" : Sounds are played also in matches. If not checked, the PC remains quiet during matches.

Since Arena 1.99beta5 : "Play sounds also during navigating": If checked, Arena playes the move-sounds also while navigating through the game. If unchecked, navigating through a games is quieter.

Tabsheet "Announcements"

If you want to announce moves by sounds, you can select the directory where they reside. If the announcement should only be short, like 'Nf3', you can check the checkbox 'Short announcement'. If the word 'pawn' should be announced, check 'Announce pawn'. Very good move announcements are available on our website.

Main Page "Other settings"

"Level infinite at loading EPD files" sets the Level to "infinite", if you load an EPD file, e.g. if you want to analyse positions from this kind of file.

Confirm if a game is not saved gives you a warning if you try to load a different game and hereby overwriting the one already loaded or if you try to close Arena having made unsaved changes to a file.

Confirming aborting a match asks you, if you really like to terminate a tournament, thus loosing the last game of the tournament.

Under External Editor you can select you favourite editor or wordprocessor. In all cases when a file has to be displayed this editor is used, e.g. when you edit a configuration file of a Winboard engine.

With 'Operator time' you can choose a time in seconds that will be subtracted for the human player for every move. This compensates for the time a human player needs to make a move. However, time for the human player does not get negative.

The setting for "Speed during manual replay" is used while replaying the moves forward or backwards while holding a navigation button pressed.

The "Speed during autoreplay" is the speed used while replaying the moves forward or backwards automatically with Game / Replay /Replay forward or Game / Replay /Replay backward .

Check legality checks all moves for legality.

If 'Values always from white's point of view' is selected then the values submitted by the engines are converted to values from white's point of view. Positive values mean 'white has advantage', negative ones stand for 'black has advantage'. If this point is not checked the values are given from the side of currently calculating engine. Then positive values mean that the engine thinks the position is good for it, negative values mean the engine thinks it is behind.

If you associate Arena with the file types FCH , PGN, EPD and/or FEN, the following happens: If you double-click a file with one of these extensions Arena will load them. These file extensions are registered here for use with Arena. If a different program already uses these file types, a message is displayed and you are asked if you want to replace this file association.


Arena - Help -Using Arena

Using Arena

.. is intuitive. The configuration dialogues have been set to reasonalble defaults. A lot of functions can be reached via the main menu.

Some menus contain sub menus with more commands.

You can also call many functions from the context menus by right clicking in a window.

See technical information for information why the GUI-Engine concept has been invented.


Arena - Help -Using Arena - Visiting Card

Visiting Card

You get to this window with Options → Visiting Card.

Here you can type in your Name, a picture file from yourself and fill in the site you are living/you play your games.

These data will be used when you start a new game with File / New.

If you type your country in the country field, the corresponding flag will be shown if you have it in the flags directory and play a game then.

You can set your rating. This is used for loading the appropriate Gladiator Logo, if you choosed to set the checkmark in Load gladiator logo according to rating.

The following levels apply:

  • under 800 ELO = Level1
  • > 0800 - 1000 ElO = Level 2
  • > 1000 - 1200 ELO = Level 3
  • > 1200 - 1400 ELO = Level 4
  • > 1400 - 1600 ELO = Level 5
  • > 1600 - 1800 ELO = Level 6
  • > 1800 - 2000 ELO = Level 7
  • > 2000 - 2200 ELO = Level 8
  • > 2200 - 2400 ELO = Level 9
  • > 2400 - 2600 ELO = Level 10
  • over 2600 ELO = Level 11

According to your rating a different logo will be loaded instead of a picture file, if you did not set a picture file.

The data in the fields hardware, operating system, your website, your email address are used for the tournament table. Please note that the danger of spam mail increases, if you publish your e-mail address on the Internet!


Arena - Help -Using Arena - Playing a Rated Game

Playing a Rated Game

If you dare playing a real game against an engine, you can go to this dialog with File → New rated game.

You can select your playing colour yourself or let Arena do a random choice.

You see no mainlines of the engines in this mode and can not undo moves. If you play against an UCI engine, you can abort a game only by resigning. If you have a Winboard engine as opponent, you can also offer your opponent a draw. Please note that some engines don't support this feature.

If your opponent accepts the draw offer, the game will be considered a draw immediately.


Arena - Help -Using Arena - Keyboard Shortcuts

Keyboard Shortcuts

Some keyboard shortcuts that are not in the main menu:

[space] or Ctrl+Z Computer moves immediately

Ctrl+[space] Engines begin to analyse

ESC Ends calculation or analysing

Scroll Lock Replays game forward

Pause Replays game backward

- small arrow (arrow key) one move forward

<-- (arrow key) one move back

home go to the beginning of the game

end go to the end of the game

PgUp go to the end of the visible move list

PgDn go to the beginning of the visible move list

+ (number block) Enlarges the chess board

- (number block) Shrinks the chess board

F10 Activate main menu

Further keyboard shortcuts are beside the menu item in the main menu.


Arena - Help -Using Arena - Rating Calculation with ELOStat

Rating Calculation with ELOStat

You can use the fantastic program ELOStat by Dr. Frank Schubert within Arena. Rating calculation is now a very easy job for everybody. Click Extras → Rating Calculation with ELOStat.

ELOStat needs only three parameters:

  • The PGN file from which the ratings are calculated from
  • The start ELO number
  • The minimum number of games

You can set these parameters now comfortably in Arena's graphical dialog elements. If you've done so, you only have to click "Run ELOStat", and Arena starts the ELOStat program with these parameters. You can see what's happening on the "ELOStat workspace" tab in this dialog.

ELOStat generates 4 files: Rating.dat, programs.dat, general.dat, cluster.dat. These files are shown in four separate tabs in this dialog. Caution: ELOStat overwrites the four files every time you run it.

  • The file rating.dat contains the ratings of all programs (or people!) in a normal table.
  • The file programs.dat shows individual statistics of the players in the PGN file.
  • The file general.dat gives you general statistics on white/black performance and openings used.
  • The file cluster.dat holds a summary of the detected clusters of engines that played each other and perhaps did not play engines of other clusters.

If you want to copy your 4 ELOStat output files and the pgn file to a safe location (because ELOStat overwrites its output files every time it is started), you can press the "Copy files to..." button. In the following dialog you can select or create a destination directory to copy the files to. If files with the same name exist there, they will be overwritten.

If it doesn't work:

The ELOStat. exe file has to be located in the directory "ELOStat" below the Arena directory, e.g. for a correct path: C:\Arena\ELOStat\ELOStat. exe.

ELOStat versions prior to version 1.2 do not work. You can download the latest version of ELOStat on the Arena website .

Thank you, Frank Schubert!


Arena - Help -Using Arena - Flip Chessboard View

Flip Chessboard View

With Options → Flip Chessboard View, the symbol in the toolbar [image] or with F12 you can turn the chessboard around.

Only the way the board is displayed changes, nothing else.


Arena - Help -Using Arena - Replay a Game

Replay a Game Automatically

In the main menu you under Game → Replay you reach the functions to automatically replay the game forward or backward.

These functions are also available in the popup menu of the move list (right click).

You can stop replay mode with the Esc key, a click with the left mouse button on the chessboard or the move list.

In the Options → Appearance dialog on the tab "Other settings" in the section "speed" / during autoreplay you can set the delay time between the moves.


Arena - Help -Using Arena - Go to Move

Go to Move

With Game → Go to move or with Ctrl+G you can reach this dialog.

A small dialog where you can directly type in the number of the move or select it with the arrow buttons on the right side of the edit field.


Arena - Help -Using Arena - Export

Export of a Position

In 'Position → Export' you find this function.

Type "Graphics":

You can copy the current position into the clipboard, to a JPG or a BMP-graphics file. The size of the board that is exported has the same size as displayed on the screen.

Type "TrueType-Notation":

You can also copy a position as string into the clipboard for further use in a word processor. Select "TrueType-Notation" as "Type" for this function. You can then insert this string into a word processor and format this string with a chess font, e.g. "Chess Merida". This way you can easily insert diagrams into a word processor.

Example, on the left hand side the string in Wordpad, on the right hand side exactly the same string in an editor:


Arena - Help -Engines

The Arena Engine System

Arena was designed as a multi-engine system.

This means that the GUI and the chessplaying program are strictly separated from each other. They communicate with a defined interface with each other. In Arena it is possible to run three chess engines in parallel, eg. for analysis.

Therefor Arena offers ideal possibilities to run a lot of engines under a single program.

Arena supports two different types of protocols:

  • UCI

  • Winboard


Arena - Help -Engines - Installing Engines

Installing Engines

In order to use engines in Arena, they have to be installed. If you installed Arena with a setup program, you will have at least one engine already installed.

With Engines → Install New Engine you will be asked to select the location of your new engine. Select the engine executable file (*. exe). After having done that, Arena tries to figure out the author, protocol type etc. of this engine.

The engine is installed now. Arena asks you then, if you want to start it right away.

If you need to change engine parameters within Arena, like command line parameters, go to Engines → Engine Management → Details .

You can install Engines also in the

  • Engine Management

or with a little help (especially for a lot of engines at the same time) of the

  • Installation wizard

or simply

  • drag the engine executable file onto the Arena main screen.


Arena - Help -Engines - Analysis Lines

Analysis Lines

Search output is displayed under the chessboard and navigation bar.

The first analysis line:

It contains basic search information updated whenever the engine sends the information to the GUI.

  • The elvaluation symbol, an arrow upwads means goood position, downwards a bad position
  • The engine name (yellow background): The name of the engine, given by the user, type of engine (UCI, WB1 or WB2), and on Windows NT/2000/XP the amount of memory used by the engine. Note that this is not the hash size but the total physical memory used by the engine.
  • The type of engine: UCI, UCI2, WB1 or WB2 (here in pink colour).
  • The currently searched depth and selective depth (white colour)
  • The move the engine is searching (cyan): In brackets the number of this move and the total number of moves in the current board position is shown.
  • The node total count (red): Totally searched moves in this search.
  • The nodes per second count (black background).
  • The Hash usage (blue): Percent of hashtables occupied with hash entries so far.
  • CPU load (orange): The percentage of CPU time the engine consumes.
  • The statistics (green): Her information is shown on the currently best move with information since when an with which depth. The search depth (D9), the time (00:04), since when this move is the best and the value and the move itself are displayed.
  • The current depths and move (brown): Information on what the engine is doing right now, what depth and extended depth, the number of the moves and the totally possible moves and the currently searched move itself.

Additional information that is not shown in the graphic can be switched on:

  • The tablebase usage and
  • the current pondermove (if ponder is switched on).

The mainlines area in the following lines:

  • The first line in the graphic (Best move...) contains a summary of the search displayed when the search has finished
  • The next lines contain the current mainlines (principal variation) with depth, time, nodes, nodes per second, and value. They are always visible.
  • By clicking on these columns and then moving the mouse you can resize them.

Additional information if you have UCI-2 compatible engines:

  • There can be a line at the bottom of the mainlines area showing the currently searched move
  • Instead of he principal variations the refutations can be shown.
  • Both informations can be switched on in the pop-up menu under "View". The current engine must support the extentions of the UCI protocol (here called UCI-2).

Please note: the colours can be set differently, so they may differ from yours.

The popup menu:

As usual, with a click on the right mouse button a popup menu appears. You can start engine-specific functions for the selected engine here.

a) Configure engine:

Starts the Configuration dialog for UCI engines. For Winboard engines the ini file will be loaded into an editor if you choose one in the engine details dialog.

b) Limit playingstrenght to ELO...:

With Limit playingstrength to ELO selected you can limit the playingstrength of the engine-this only works for UCI-2 engines.

c) Nextbest move:

The engine searches for the nextbest move. It is necessary, that the engine has calculated (not analysed, but also executed) a move already in the same position. Arena takes back this move and sends the engine a special command to calculate a new move. If the engine always 'finds' the same move, it does not support this function.

d) Ponder:

Switches on or off pondering for the chosen engine. If there is another engine that is currently loaded it will not be affected.

e) View:

  • Main lines: Shows Main lines in a window
  • Refutations: Shows Refutations in a window
  • Calculate Refutations in the background: This does not show the refutations, even when the showing of "Main lines" is selected.
  • Current Line: Turns on or off the showing of the currently calculated line.
  • top: You can move the analysis area up to the top of the Arena main window
  • bottom: You can move the analysis area down to the bottom of the Arena main window

f) Commands:

  • Clear Hashtable : Deletes the information, that the UCI-engine has saved in the hash table.
  • Analyse only with Engine ...: Starts the Analysis. With this activated a click on the Analyse button in the Navigation bar only Engine 1 or Engine 2 analyses. With a new click on the Analyse button the Analysis is stopped.
  • Debug Mode (UCI): Starts with the UCI-Debug Mode on, this is normally only interesting for programmers and testers.
  • Emergency stop: Stops the engine. Helpful if it does not react on anything else.
  • Hash Booster: when activated, the size of hashtables is doubled, this only works for UCI-Engines. This is for example useful for analyses.
  • Clear Window: Deletes the Alalysis output.
  • Read documentation: Shows the file "Readme.txt" for the Engine.

g) Multi PV Mode:

Turns on or off the Multivaritionmode. With this function activated, the engine analyses more moves at the same time and gives you information about possible alternative moves.

h) Configure Engine Analysis Output:

Goes to the configuration dialogue for engine search output.

h) Variationboard:

Starts the variation board . You can use this function to analyse the main lines on a separate board.

i) Make analysed move:

If the engine has just finished analysing, you can execute the analysed move that is considered best (on top of the list) with this function.

j) Copy analysis to clipboard:

Copies the produced main lines from the engines to the clipboard, e.g.:

FEN: 5r1k/p1q2pp1/1pb4p/n3R1NQ/7P/3B1P2/2P3P1/7K w - - 0 1

AnMon_560
6 00:00 31.049 0 +1,54 Re6 Kg8 Qxh6 gxh6 Rxc6
7 00:00 38.435 0 +1,19 Re6 Kg8 Rxh6 Nb7 Nxf7 Na5 Rxc6 Qf4 Rc7 Qc1+ Bf1 Qxf1+ Kh2
8 00:00 94.605 0 +1,54 Re6 f5 Re8 Rxe8 Qg6 Kg8 Qd6

Best move: Re6, Value: +1,54, Depth: 9, Time: 00:03,109, 94.605 Nodes, 120.567 N/sec.

Extra info is configurable here , mainpage "Other Settings".

k) Cancel calculating:

Stops the engine calculations. This is the same function as the ''Stop'' button (if calculating) or the ''Analysis'' button (if analysing) in the navigation bar, but applies only on the current engine. So you could stop one engine analysing with this function while the other still analyses.

l) Close engine:

Closes the engine normally. This is the normal way to remove an engine from memory and removing its analysis lines. The other engines that are visible take over its place.

m) Terminate engine process:

Terminates the engine the hard way. Recommended only if the engine will not quit with "Close Engine", see above.

n) (Re)start engine:

Stops the engine (if already running) and starts it (again).

o) Details:

Jumps to the ''Detail'' view of the engine. The same function as Options/ Appearance/ Details and then select the current engine.


Arena - Help -Engines - Configuring Analysis Lines

Configuring Analysis Lines

This dialogue can be accesed by Engines → Configure Engine Analysis Output.

Here you can set the type of analysis tokens you would like to see on the screen in the following picture.

Tabsheet "Look of the Info-boxes":

The following Analysis tokens can be made visible in the first line:

  • Evaluation symbol (Computer symbol or arrow, font Wingdings required)
  • Engine Name and memory usage
  • Engine type (UCI or Winboard)
  • Current dearchdepth
  • Current move
  • Nodes total
  • Nodes per second
  • Endgame tablebases usage
  • Hash usage
  • CPU load
  • Pondermove
  • Bestmove statistics

Additionally you can configure the following elements (but not switch them off, so the checkmark is grayed out):

  • Mainlines
  • Mainlines 2. colour (altering in rows)
  • Current variation
  • Refutations

Check all elements that you would like to appear on the screen. When an element is selected, you can configure the font and background colour for it in the groupbox on the right.

Beneath you can configure all elements at the same time and select a uniform font and background color.

small arrow In the dialog for the font you can also select the colour of the font and the style, e.g. boldface.

Tabsheet "Mainlines"

The mainlines are in the lines beyond the topmost line. You can also determine their look.

You can show or hide the following coloums:

  • Search depth
  • Time
  • Nodes
  • Nodes per second
  • Value
  • Mainline

Tabsheet "Options"

"Figurine Notation" shows the respective piece symbol instead of the piece letter (e.g. "R" for rook) . This works only if you have selected an appropriate font (e.g. "CA Chess" or "Arena Figurine") for the elements containing piece symbols.

"Show Explanations when new game" shows the meaning of the elements, if no search output of the engine is present, e.g. at the beginning of a game, when no calculation has been done.

"Show summary at the end of the search" shows you some information about the search process. Maybe you can avoid showing some information permanently in other areas.

"To move indicator" shows "w" or a "b" (white or black) in front of the engine, if it is to move. This applies only if at least two engines are loaded.

"Evaluation symbol colour (in 1/100 pawns)" controls the margins for displaying the evaluation symbol (arrow) in the respective colours red, green and blue. So below a score of -150 (default) the symbol is displayed in red. Above 150 (default) the score is green, above 500 (default) blue.

"Insert mainlines at the top" has the effect that the most recent mainlines are always displayed at to top of the list. "Append mainlines at the bottom" shows the most recent mainlines always at the bottom of the mainline list.

Alignment of the analysis elements sets if the elements are left-aligned, centered or right-aligned.

Margin in Pixels sets the border width of the information elements.


Arena - Help -Engines - Engine Management

Engine Management

With 'Engines → Manage' in the main menu you get to this dialog.

In this dialogue you can...

  • select the chess engines you want to use.
  • install chess engines (max. 1500) for Arena and give them
    • necessary parameters, e.g. command line parameters on their way
  • configure options for Winboard and UCI engines

Now follows a more detailed description of the tabs in this dialogue:

Tabsheet Select:

The 'Active Engines' are the ones you can play and analyse with. They show you their mainlines and eventually make a move.

The 'Engine favorites' are the one you prefer most.

The list occuping most of the dialogue space shows you information about the configuration of the engines. If you doubleclick on an engine, the engine is selected as one of the active engines.

The columns of this list contain the name of the engine, the type (UCI or Winboard) the Winboard-features (A=Analyze mode,E=Edit mode,M=Move now,P=Ponder, O=Opening book, T=Tablebases), the country, the comment you made to the engine, the date of the executable file and the used Arena book. You can sort the list by clicking on the header of each column. The items in this list can be modified under the engine details, see next chapter.

'Available engines' are the ones you installed and perhaps use later as active engines.

'Recently used engines' are the ones you selected and started recently. The last one is on top of the list. If you don't need an entry here, you can select it and press the 'Del' key on the keyboard to delete it.

Tabsheet Details:

Here you can Install engines and change engine settings.

You create a new engine by clicking 'New'. A new empty engine is created. Now the well-known Windows file-select-box appears and you have to tell Arena, where your nice new Winboard or UCI engine is located. Please select the exe-file. Arena now undertakes some efforts to gather information, e.g. looks for a init-file according to the Fritz-standard. In most cases you are lucky and your new engine is installed now. If Arena does not know the type of the engine, you have to select the type yourself, Winboard or UCI. Maybe you could change the name or type in the name of the author, and that's it. Select your fresh engine as an active engine and test it. In the case of problems you have to look for a text file containing information on the configuration parameters of the engine. You find those in the program directory of every decent engine. It's called readme.txt, 'Superengine001.txt' or something else.

Often the command line switch '-xboard' is used for WinBoard engines. This one or other command line options have to be set in the 'Command Line Parameters' field of the details tab.

If this is too awkward for you or you already own quite a collection of engines, I'd advise to use the Installation Wizard . He tries to recognize and configure engines for himself. He scans a directory with all subdirectories for exe-files and lists them. All you have to do is to select the engines you want to install after all. Here you should really select only chess engines, because starting unknown exe-files may result in unforeseeable consequences, like installing trojans or viruses.

If you want to see a flag for the engine's country, you have to fill in the country field with the exact name of the country. A flag with the name of the country must also exist in the Arena/Flags directory.

For the configuration of an engine you have the option to change settings under the following small tabsheets:

Sub-tabsheet "General":

Name: The name of the engine under Arena

Author: The programmer of the engine

Command Line: The executable file (. exe) of the engine including the complete path.

Command Line Parameters: Options the engine needs. They are very dependent on the engine. Sometimes not used at all, sometimes a long chain of parameters.

Determine automatically: Scans the file "Engines.ini" for this engine and sets author, command line parameters, country and type. The file "Engines.ini" is regulary updated by the Arena team and has to be in the Arena-folder.

Type: Used protocol: Winboard or UCI. Don't use Autodetect, it is only for compatibility with older Arena versions.

Logofile: File with the logo of the engine including complete path. You only need this if the logo of the engine is not displayed automatically.

Sub-tabsheet "Special":

Ini-file: Configuration file of the engine. This applies only for Winboard engines. The file you set here will be shown in the engine configuration if you right-click with the mouse on the analysis lines and then select "Configure [Engine]"

Init String: The commands that are sent to the engine after it has started, e.g. to set some engine options.

Strength in %: Here you can make the engine weaker. It will use only the given percentage of the time normally used for calculation. A detailed description.

Values absolute (always from white's side): The values are sent by the engine always from the point of view of white, a good position for white always has a high positive value, a bad one a negative value. If this option is not set, the values are sent by the engine always from it's own point of view. In this case a good position for the engine has always a high positive value, a bad position a big negative value.

Website of the Author: Information for you.

Show "Readme.txt": Shows this file, if it is available in the directory of the engine.

Sub-tabsheet "Books":

Arena Enginebook: Here you can set, which book in Arena format (abk) the engine should use.

Use Arena Mainbooks with this Engine: If set, the currently used Arena mainbook will be used.

Sub-tabsheet "Information":

Supported Winboard Features: Here you can set the Winboard options the engine is supporting. The information is displayed in the list, see previous chapter.

Determine automatically: Scans the file "engines.ini" for available data for this engine and sets the Supported Winboard Features. The file "engines.ini" is regulary updated by the Arena team.

Rating: Every engine can have a rating figure set by you. The rating figure is displayed in the Arena window title and in the lines above and under the chessboard (if selected), but has no other functions.

Comment: Here you can write down information or your personal remarks about the engine.

Tabsheet Options:

Start engines with debug-window means that a debug window is displayed every time an engine is started. This is useful for testing engines.

If Engine names replace player names is selected, the engine to move can happily replace the player's name with its own.

"Use internal name" makes Arena use the name the engine has reported itself. If you uncheck this option, Arena the name used by Arena to identify the engine in the engines list.

'Autoflag' means that the game is finished when an engine's or your time is out.

The level 'infinite' does not exist for Winboard engines. It has to be emulated for them. The engines are run with the settings given here in Fischer mode (level 0 9999 9999).

"UCI Filter" lets Arena ignore useless information that is sent by engines during the first 5 seconds of a search. Important information like mainlines and the best moves will of course always be processed. During the first 5 seconds many engines send a lot of information to Arena, which may become very slow because of this. This has a big impact especially at short time controls. You can restrict "UCI Filter" to be used only in tournaments, if you select this option.

Engines can be loaded with normal or low priority. With low priority the GUI and Windows as a whole is easier to work with if engines are calculating. It is also better to use this mode for engine matches with ponder on. Windows can then distribute the CPU time better to the engines.

Play anthem during load results in playing a wave, mid or midi file during the time the engine is loaded.

Play anthem during game start means the same for every (!) start of a game.

Tabsheet UCI:

Here you can set common parameters for all your UCI-engines.

You can specify a common hashtable and tablebase size here as well as a common path for the endgame tablebases (Nalimov Tablebases). Also whether the engines should use their own book, you can set here. It is recommended to use 'Own book' for the engines, because Arena itself currently doesn't have an own book. The advantage is that you don't have to set these options individually for every engine.

If you do not check a checkbox here the values you set individually for each engine are used. These values are set by right-clicking on the engine mainlines, configure engine or Ctrl+1 or Ctrl+2 for the first or the second engine, as described in Configuring an Engine .

If you do check a checkbox here, the values are used, regardless if a different setting has been provided in the engine-configuration dialogue before or not. Settings made here can not be overwritten by the engines.

Click 'resign' if Arena will be resigning the game for the engine. UCI engines cannot resign on their own. This is done when the values submitted by the engine is lower than the value given here, for the number of moves given here.

Buttons:

  • The button "New" installs a new engine, see above
  • "Duplicate": creates a copy of the currently selected engine, appending [001].
  • Delete: deletes the currently selected engine, but askes before
  • Delete All: deletes all engines, but askes before actually doing this
  • Installation Wizard:, see above or here
  • Reinstall bundled engines: reinstalles your engines that came with your
    • setup package with which you installed Arena.


Arena - Help -Engines - Installation Wizard

Installation Wizard

This wizard assists you with installing Winboard and UCI engines.

You can start him via engine management under the tabsheet "Details".

First you select a folder under which the engines are to be searched. This folder will be scanned for executable files (. exe) with all subfolders.

Now all found engines are shown. You can now select all engines you would like to beinstalled.

The following window shows you, if engines are already installed in Arena.

Then you can select with which protocol the engines are to be run. The intelligent method uses the 'engines.ini' file to determine the type of engine. This is the recommended method.

With a click on "Finish" the selected engines will be installed.


Arena - Help -Engines - Configuring an Engine

Configuring an Engine

You reach this dialog by 'Engines → Engine 1(or 2) → Configure' or by clicking the right mouse button on the analysis lines and selecting 'Configure engine' Keyboard shortcuts: Ctrl+1 or Ctrl+2.

UCI engines:

You can set parameters for the UCI engine with the dialog here.

Example for the Rebel-Engine:

Which parameters you can set here depends solely on the programmer of the engine.

Arena only displays the dialog box on the screen and sends the commands to the engine.

In case you like to define some common values for UCI engines, these parameters are not displayed here, but under engine management , tabsheet "UCI". You can set the path to the Nalimov tablebaes or the size of the hashtables there for all engines equally.

Winboard engines:

For a WinBoard engine, the configuration file will be opened with your selected editor, if you selected a configuration file in the Engines→ Manage→ Details tab.

For most Winboard engines, you have to restart the engine to get the settings in effect. This is done easily by clicking the right mouse button on the analysis lines and selecting '(Re)start engine'.


Arena - Help -Engines - Limit Playing Strength

Limit Playing Strength

3 ways lead to Rome:

1) For UCI-2 engines you can limit the playing strength to an ELO-value:

This is under Main Menu → Levels → Limit Playing Strength, if an engine supports the extentions of the UCI protocol (called UCI-2, from April 2004). If you cannot select this menu item, the engine is either WinBoard or it is UCI but doesn't support this function.

The playing strength is handled only by the engine. Arena just passes the command to the engine.

If an engine supports this function, it should be the prefered way to make an engine weaker.

2) Another way to weaken engines that works with all engines:

Under the engine configuration you have the possibility to reduce the strength of engines which are too good for your personal play. So, you go under Engines → Manage → Details to the engine you want to make weaker. Under the 'Special' tab you have the strength setting. Here you can set the strength to as low a 1% of the original playing strength.

How does it work?

The engine gets a lower amount of time. The engine thinks it is playing under a lower time control with less time to make a move. With a strength of 50% Arena pretends to the engine, it is running with half the time of the level that is currently set.

Example:

You set the Level '40 moves in one hour'. With a strength of 50% the engine plays like '40 moves in 30 minutes'.

3) Proprietary ways of limiting the playing strength:

  • Delfi: Edit the delfi.ini file and look for the parameter "ELO_STRENGTH"
  • CraftySE : It can load personalities. Some of them have a lower playing strength
  • ProDeo has personality and strength settings


Arena - Help -Engines - Pondering

Pondering

You get to this function via Engines → ponder. It switches on or off pondering (thinking on opponent's time) for all loaded engines.

Sometimes this function is also called "Permanent Brain".

If you would like to selectively let one engine ponder, but the other(s) not:

Click with the right mousebutton on the analysis lines of the engine, select "ponder" from the pop-up menu.


Arena - Help -Engines - Restart Manually

Restart Manually

Reachable in the main menu under Engines → Engine 1(2,3..) → Start or with a click with the right mouse button on the mainlines of the engine, then choose '(Re)start engine' from the popup menu. Hotkeys: Shift+F11 or Shift+F12 .

This (re)starts an engine manually. Normally this is not necessary, because the engines start automatically, if needed. If an engine behaves strange, try to restart it.

This function is useful if you made changes to the configuration file of a Winboard engine. These changes normally come into effect only if you restart an engine.


Arena - Help -Engines - Debug Window

The Engine Debug Window

You get to this window with Engines → Debug window or keyboard shortcut F4.

Problems with an engine? It won't run correctly? This window can help you finding problems, e.g. in configuring engines. You see direcly if the engine "says" something at all. This window is of course of great importance to the engine programmers, too.

In this window all input to and output from the engines is displayed. You can also send inputs directly to the engines.

In/output Area:

The first number in every line is the time in milliseconds since Arena has started. The following two columns show from whom the information comes:

  • <--1: = Output from the first engine to Arena
  • <--2: = Output from the second engine to Arena
  • -- small arrow 1: = GUI to first engine
  • -- small arrow 2: = GUI to second engine
  • ** = Comments
  • 1* = Comments on the first engine
  • 2* = Comments on the second engine

Input line and buttons:

You can send commands directly from the input/output area from Arena to the engine(s)

  • Send! : Sends the command in the input line to the engine
  • ?: Sends the command '?' to the engine.
  • go: Sends the command 'go' to the engine.
  • .: Sends the command ' .' to the engine.
  • Clear deletes the input/output area.
  • Help leads to this help page.

Checkboxes:

- small arrow Engine2: Determines, if the commands will be set to engine 2. if checked, then they go to engine 2, otherwise to engine 1.

Arena.debug: Sets whether commands sent to the engines and the output from the engines are saved in the file Arena.debug. This is the protocol file for all engine communication. Using it might slow down engines.

Show: If not set, nothing is displayed in the input/output area.

Only Info with principal variation: In UCI-mode only information lines containing PV's (mainlines) are shown. The many additional output lines UCI engines are often producing aren't displayed then.

No Info: For UCI engines no information lines are displayed. UCI engines are sending a lot of information sometimes, so this is completely ignored when you set this checkbox. Only "bestmove", "option" and "id" commands comming from the engine are displayed.


Arena - Help -Analysing

Analysing

You can analyse games or positions manualy by pressing the "analyze" button in the navigation bar.

You can then move around the game, and the engines will always analyse the position after the current move. End the analysis mode by clicking again the "analyze" button in the navigation bar or press the Esc-key.

Do not use the chip button { [image]} for analysis, the engine will move and replace the game's move with it's own.

Automatic Analysis of games or PGN or EPD files can be performed via the main menu under Engines → Automatic Analysis.

The Variation Board is another tool for manualy analysing positions.


Arena - Help -Analysing - Automatic Analysis

Automatic Analysis

By clicking in the main menu under Engines → Automatic Analysis you get to this dialogue.

Here you can automatically analyse moves of a game, several games or a series of positions of an EPD file.

The button 'Minimize to tray' hides Arena in the tray area next to the clock.

Tabsheet Source

As a source you may choose the current game, the currently loaded EPD file or a list of PGN and EPD files.

If you selected a list of PGN and EPD files, you have to add the files in the list beneath.

You can set if you want to analyse moves of white or black or both.

As the direction of the analysis you can choose forward or backward. Backward has some advantage if you analyse a game, because the analyses of later moves may be used for the calculation of the previous moves.

If you like to analyse a series of games of an PGN file, you can select the first and last game to be analysed.

If you like to analyse a game you can set the first and the last move to analyse. You can skip unimportant (e.g. opening) moves this way.

If you like to analyse a series of positions of an EPD file, you can select the first and last position to be analysed.

Tabsheet Engines

You can use the currently loaded engines or select several engines from a list.

The "thinking" level with the analyses are performed can be:

  • seconds per move/ position.
  • Number of plyes depth: For all games and moves analysed the same depth is used
  • Get depth from PGN depth tag: You can select a different depth for each game

Tabsheet Output

In the protocol file the principal variations, moves and other information are stored in a detailed form.

Arena calculates a total analysis time (rated time). When a move is found that matches the move in the EPD file, the time taken to first displaying the move counts. If the move is not found, the total (level) time is added to the analysis time. The result is the rated time. It is saved in the protocol file.

The report file contains an overview on the moves and times needed for the solution.

Tabsheet Options

Abort analyses prematurely is a helpful feature if you want to run testsuites quickly. It aborts the analysis of an engine if the two conditions are met: Deepen so many plies means that the solution move must have been the best move for this amount of plies. Minimal analysis depth means that this depth must be searched at least before the analysis of this move or position can be aborted. Normally the probability that the move will be the best is very high if deepen so many plies is set to around 2 and the minimal search depth to >= 9.

Analysis Lines, minimal search depth: To minimise the number of analysis lines appearing in the logfile, you can se a threshold here for the search depth an analysis line must have.

Start program after analysis: You can start a program of your choice after the analysis has been finished. In this line you can use some placeholders:

  • ^pgn: Current PGN-File
  • ^epd: Current EPD
  • ^pgnepd: Current PGN or EPD
  • ^log: Current Log file
  • ^rep: Current Report file
  • %ArenaPath%: Path to Arena.exe

e.g. the following line will start the notepad editor with the current report file:

notepad ^rep


Arena - Help -Analysing - Variation Board

Variation Board

You can start the variation board with a click on the right mouse button over the analyse button in the navigation bar, selecting variation board in the pop-up menu of the engine, or by pressing Ctrl+F12 on the keyboard or select 'Variation Board' in the Options menu.

Here you can move through the currently analysed variation(s) of the engines.

With the navigation buttons you can navigate within the variation. In the small window on the left the current move and the relative material value relative to the beginning of the variation is shown.

With E1, E2 or E3 you can reload the current analysis lines of engine 1,2 or 3 into the variation board.

If the engine is a Winboard engine or a UCI engine without MultiPV mode, only one mainline is displayed in the list below the variation board.

If the engine is an UCI engine and supports MultiPV mode, the number of the selected mainlines (MultiPV in the engine configuration dialogue) is shown in the list below the variation board.


Arena - Help -Tournament

Engine Tournaments

Under Engines → Tournament (or keyboard shortcut F9) you can run a tournament between any number of engines.

The tournament may be saved as an .at (Arena Tournament) file and resumed or edited later. This clearly gives the you the advantage of saving your favourite tournament set - up, say a best of WB engine tournament and having the ability to adjust it easily and quickly.

Tabsheet Settings:

The tournament can be named and the highlighted available engines selected or de-selected with a mouse-click.

Should you desire a match between two engines only then select the two engines and either Round robin or Gauntlet.

For more than two engines however the two modes produce different results.

A Round robin format means that each engine plays every other engine and will produce a much higher number of games than the Gauntlet where the first engine in the list plays every other engine for the specified number of rounds.

Carousel is an alternative method for calculating the pairings in Round Robin tournaments.

The number of rounds is the number of games per pairing. After every game (within a pairing) the colours are switched. In order to avoid awarding an advantage for the first engine, an even number of games should be selected, because white has a small advantage because of the right to move first.

With three engines (e.g. Chispa, Crafty und Ruffian) the following pairings are generated:

  • Chispa ------ Crafty
  • Ruffian ------ Chispa
  • Crafty ------ Ruffian

Every round consists of three games. If you select 2 rounds, the following games will be played:

First Round:

  • Chispa - Crafty
  • Ruffian - Chispa
  • Crafty - Ruffian

Second Round:

  • Crafty - Chispa
  • Chispa - Ruffian
  • Ruffian - Crafty

You see that the colours have been switched in the second round. The same applies for all even rounds, if you selected more rounds.

"Level" selects the desired time control for the tournament.

The button "Delete results" deletes the stored results in the at file. The tournament table will be emptied. All results of this tournament will be lost!

If you select a name for the tournament, it will be used in the PGN file as "Site" tag, if not, the name specified under Option / User Data will be used.

The PGN "Round" tag will be set to the according Tournament round.

If you click the "New" button, a new tournament will be created. The default filenames will be set for saving the various output, see below.

The same applies for the "Duplicate" button, but here the participants will not be deleted.

The button "Replace engine with newer version" can be used to replace an engine with a newer version. The new engine (e.g. Delfi 4.2 instead of Delfi 4.1) gets the results of the old engine. In this way you can introduce engine updates into a ongoing tournament.

The button "Add player" adds a (human) player to the tournament. If you want to participate yourself in a tournament, don't hesitate... You will be told if it is your turn to play.

The button "Add board computer" adds a board computer player to the tournament. But operating the board computer is still your task!

With the button "Show results" you can generate the tournament result files once again, without having to re-start the tournament. Arena shows the main window, where you can view e.g. the tournament table. For this table and the individual results there are seperate tabsheets under the movelist. Also the HTML file will be generated newly, which you can view by your Internet browser, e.g. in Internet Explorer, Netscape Navigator, Firefox or Opera.

Tabsheet Options:

On top of this tab you can select the chess variants: normal chess, Chess 960 or Shuffle Chess.

You can select the starting position for each game here. "Default" means the normal chess starting position, of course. "Load from PGN/EPD file, load sequentially" means that Arena loads the starting positions from a PGN or EPD file. If you want to perform a tournament with defined starting positions, you can do so this way. If you want the starting position chosen at random, you can select the third possibility "Load from PGN/EPD file, choose randomly". Arena then chooses a starting position at random to start the game with. In the line below you can select the file to be loaded. Frequently tournaments are performed with the well-known John Nunn starting positions. If you want to check engines without their opening book, this is the way to do so.

"Repeat start position with switched colours" means that in the next round the same starting position as the current comes on the board, if the next round number is even. So if you want to do a tournament with defined starting positions and where each engine gets the same starting position once with white and once with black, then you should choose this option. The engines switch sides every round, so the same two engines play two games with the same starting position, but with switched sides. The number of rounds must of course be set to a value greater than one.

If you choosed "Testmode" , no games will be played and no engines will be loaded. The result of all tournament games will be set by random. With this function you can simulate the tournament, e.g. you can check if the tournament tables look the way you like.

If you selected 'Adjudicate game', the game will be terminated if the respective value in centipawns is reached. The value must be negative in order to work correctly!

Important: This works only, if both engines put out correct values under this threshold. If one engine gives wrong values for some reason, this feature does not work. Check in a normal test outside of a tournament if a good position for the engine is always positive, and an bad position for the engine is alway negative. Check if this is true regardless if the engine plays white or black. If the engine sends positive values even if it is playing with the black pieces in a bad position, the engine sends values always from white's point of view. Then you have to check the checkbox: Engines→Manage→Special→"Values absolute".

In addition, this value must fall below the threshold for 6 half moves.

The value should of course be low enough, e.g. -500 (negative!). A game will then be resigned for the weaker side if the values of the engines is lower than 5 pawns for 6 half moves.

If the maximum game length is exceeded, the game is adjudicated a draw.

The Autoflag setting you select here will be used for the tournament. Please note that "Autoflag" should be set to "on" normally, because even with the best engines there might happen some problems and the tournament can not continue if an engine hangs.

You can set the "Ponder" option separately for tournaments. This does not affect the general setting under Engines / Ponder. Pondering makes of course only sense if you are the lucky owner of a computer with at least two CPUs or cores. If you have only one CPU, this option doesn't make sense, because the time for the engines is often not evenly distributed (50%-50%). This can happen even under Windows NT/2000/XP operating systems.

Tabsheet Files:

The general recommendation is to save all tournament files in the Arena subdirectory "Tournaments".

You can save all games in a PGN file. All data you have chosen under Options→Appearance→PGN will be saved. You must use this option, if you want to calculate ratings with ELOStat later.

The protocol file saves all results of the games and some statistics. The search statistics in the protocol file is only valid for opening stage and middle game, not for the endgame. A position is regarded as an endgame position if at most 6 pieces (not pawns, white and black together) are present on the board. The queen counts twice.

The tournament table exists in two different forms: One simple for display in the Arena GUI (alternative to the movelist, the tab "Table") during tournaments and one more complex in HTML form. The latter can be displayed in your internet browser.

The button "Set default filenames" sets the following filenames to their default settings:

  • (Arena directory)\Tournaments\(Tournamentname).pgn for the games in PGN format
  • (Arena directory)\Tournaments\(Tournamentname).log for the protocol file
  • (Arena directory)\Tournaments\(Tournamentname).txt for the tournament table in text format
  • (Arena directory)\Tournaments\(Tournamentname). html for the tournament table in HTML format

(Arena directory)\Tournaments\(Tournamentname).res for the individual results of the engines shown also under the tab "Results".

These names are also set by "Settings / New" or "Settings / Duplicate".

Tabsheet Table:

For the HTML table there are some options:

  • "Insert country": Shows the country from the participant in the table.
  • "Use flags": The flags of the countries are shown instead of the names.
  • "Flags from website": Loads the flag files not from the local PC, but
    • from the Arena website. This is important if you want to publish your tournaments on the Internet.
  • "Use English language": Shows the table in English language, not in
    • your local language. This is useful if you want to publish your tournaments to an international audience.
  • "Short results in table" doesn't show all the game results explicitly, e.g. 100=10 (1:win,0:loss,=:draw), but only as a summary, e.g. 2-3-1. The latter means 2 wins, 3 losses and one draw. This option saves table space.
  • "Only points" means that the format is changed to the
    • format "my points/possible points". This would be in the above example, "2.5/6".
  • Show PGN filename: Shows a line in the tournament with the PGN filename.
  • PGN-URL: You can add a filname on the internet here pointing to where
    • you have published the PGN file.
  • Insert author:Adds a column with the Author of the engine
  • Show the Webpage of the author
  • Show Axon Benchmark: Shows the spped of your system
  • Show Win percent: Shows a % column in the table indicating the percent of won games
  • Show tournament conditions: Shows the tournament conditions as you enter them
    • in the following line
  • A click on "Get" sets the conditions to: hashsize, tablebases on/off , ponder on/off,
    • possible starting positions
  • Top line colorized: Select a colour for the top line of the tournament table.

The "S-B" column contains the Sonneborn-Berger fine rating value.

Tabsheet Pairings:

Here you see the list of all pairings of the tournament. The number of games yet to play is shown on top of the list. Behind the pairings the history of the results is shown: 1 means a win for the first engine,
0 a win of the second, 1/2 for a draw and ? stands for a game that has not been finished. Games that are not finished will be repeated.

With the button "Edit result" you can change the result of a pairing, because e.g. a game has not been started correctly or a different error has happened. In such a case you simply remember the round number of the game (or look it up in the PGN file) and set the result at this place to "?". Then this game will be replayed.

If you load a (partially) played tournament, only the games that are yet to be played will be played, if you don't change any settings. Eventually no games will be played, if the tournament is already finished. If you want to replay the tournament, you can press the "Reset to tournament start" button on the "Settings" tab.

Tabsheet Start/Quit:

If your computer should be shut down after the tournament has been finished, you can choose "Shutdown computer after tournament".

You can also shut down your computer after a number of games. This is helpful if you want to run your tournament in chunks and not all games in a row. Eventually the tournament will not be played to the end, but you can restart it any time later.

If you select " Quit Arena after tournament", Arena quits when the tournament is finished.

"Restart Arena after so many games": here you can set the number of games after that Arena quits and restarts itself. Arena then reloads the tournament and continues it. This is a great help for avoiding problems that may arise (memory leaks, not enough ressources) if a tournament runs for a long time, e.g. days or weeks.

"Restart Arena at this hour": here you can set the hour Arena quits and restarts itself. You can avoid long-term problems this way too. If a game runs at this time, Arena waits until the game is over and then restarts itself.

Engines are restarted before every new pairing. If you want your engines to be restarted after each game, you also can select this here.

Tabsheet Blunder-Check:

This feature enables you to collect critical positions in which an engine has made an error (blunder) and save them in an EPD file. You can examine this file later and e.g. check an updated version of this engine and see if it makes less blunders.

If you check Enable Engine Blunder-Check this feature is activated.

Hint: Take a look at the Permanent Statistics window and imagine how you recognize a blunder. Normally you identify blunders by jumps in the evaluation.

When the conditions under "Trigger" are met, the position will be saved into the EPD file. You can set the threshold (if value decreases X centipawns), and the number of moves (within X moves) in which the decrease in value could have happened in. If you e.g. choose a high value for the decrease (say 500) here, only big blunders are saved to the EPD file, in this case in the range of the loss of a rook. If you choose a small value here, small mistakes are saved also. If you choose a higher number of moves (e.g. 10) also gradual changes in the position value are counted as errors and saved to the EPD file. The setting No blunder if already X centipawns down excludes bad moves that are made from a position that is already bad, since moves that worsen your position are often unavoidable if you are down quite a bit in your position.

Under Save critical position(s) in EPD file.. you can set from which move, going backwards, the positions are saved. So you can save several positions, always going back one full move, as far back as you want. Often the error didn't happen in the current move but one or two moves back. So it is recommended to save at least the current position and one full move back (resulting in the dialogue settings: from move 0 to move 1 move before).

The critical positions are saved into a file, which name is determined through the name of the engine and "_white" or "_black" appended. The file is located in the Arena-directory under "\Tournaments\Epd\", e.g.:

C:\Arena\Tournaments\Epd\Ruffian 2.0_white.epd and C:\Arena\Tournaments\Epd\Ruffian 2.0_black.epd.


Arena - Help -Tournament - Course

Course of a Tournament:

Arena begins running the tournament always with the pairing with the lowest number of games. If in all pairings the same number of games are played, Arena continues with the pairing that is on top of the list.

So from all pairings the first game is played (round 1). Then the second game of all pairings (round 2), etc.. One round is one column in the list of pairings.

You can raise the number of rounds safely, e.g. in order to continue a tournament.

Also it is not a problem if you insert an engine into a tournament that has already started. If in the current tournament e.g. 2 rounds are played, Arena continues with the pairing with the lowest number of games. These are the pairings of the newly inserted engine, because this engine hasn't played any. The next round (here the third) will be started, when all pairings have the same number of games.


Arena - Help -Tournament - Info-Window

The Tournament-Info-Window

This window displays useful information during a tournament.

You can see the window as an alternative to the move list, if you select the "Tournament" page under the move list. If you select 'Mix 2' you can see both the move list and the tournament information.

The engines competing in the current pairing and the result of their games (in the form "Wins-Losses-Draws" from the viewpoint of the white engine) are shown in the caption bar of the Arena main window. From the viewpoint of the engine playing white it is displayed in the form "wins-losses-draws".

The Tournament Tab:

{ [image]}

... shows you what's happening in the tournament: started engines , started and finished games ..

The Buttons on the Tournament Tab:

  • Cancel aborts the tournament.
  • Debug debug starts the Debug window .
  • Last game aborts the tournament after the ongoing game.
  • Tournament... starts the starts the tournament dialogue.
  • Last Round aborts the tournament after the current round.

The Table Tab:

Shows a simple tournament table in textformat with the current standings.

The Results Tab:

Shows a list of individual results of then engines against the other engines.

The HTML-Tab:

Shows the HTML code of the current tournament table. Mark all and copy the content into the clipboard for further use.

The Buttons on the The HTML-Tab:

  • Preview starts your Internet browser with the generated tournament table.
  • Clipboard copies the tournament table in HTML format to the clipboard.
  • Clipboard (only table) copies only the tournament table in HTML format to the clipboard and ignores the information under the table.
  • Clip+Post! copies the tournament table in HTML format to the
    • clipboard and starts your Internet browser with our website


Arena - Help -Tournament - Carousel System

Carousel System

The Carousel System has 2 advantages:

1) With each pairing normally both engines change
2) The distribution of the playing colors white and black is better.

In this tournament pairing system there are two variations depending on whether the number of players is odd or even.

Even number of players:

After the random selection of the first rounds the players sit at the table with the appropriate number of boards, with white and black alternating. After the first round is finished, the players go to the next board in clockwise order. But one player remains on his position at one end of the tables. He has to turn the board every round to play with black and white alternating. The player sitting on the right side next to him has to go 2 boards further clockwise.

Odd number of players:

The rules are pretty much similar but there is no player remaining on his place.

But the one player without an enemy has to wait at the end of the table before he can rejoin in the next round.

Engine Tournaments


Arena - Help -Tournament - Hints

Hints:

Please check if the engines you are using are configured correctly. E.g. no engine should use too much hashtable space, otherwise the operating system can not use fast RAM and has to swap to very slow hard disk space.

In order to continue a tournament if one of the engines doesn't play anymore, you should use "Autoflag". Then the engine runs out of time and at least the next game will begin normally.

When the tournament is running, you can see the course of events in the tabsheets "Tournament", "Mix2" , "Table" and "Results".


Arena - Help -File Formats

File Formats

Arena can load and save the following file types :

  • EPD
  • PGN
  • FCH

In the PGN-format single games can be replaced or appended. Because of the large size of these PGN-files, not the whole file is saved completely, only the changed parts.

The format 'FCH' is specific to Arena and it shouldn't be used in the future because no variations can be saved in this format.


Arena - Help -File Formats - PGN

PGN Format

The PGN-Format is a widespread standard file format for exchanging chess games files. A file may contain more than one game.

Example:

[White 'Deep Blue']
[Black 'Kasparov, Garry']
[Result '1-0']

1.e4 c6 2.d4 d5 3.Nc3 dxe4 4.Nxe4 Nd7 5.Ng5 Ngf6
6.Bd3 e6 7.N1f3 h6 8.Nxe6 Qe7 9.O-O fxe6 10.Bg6+ Kd8 11.Bf4 b5 12.a4 Bb7 13.Re1 Nd5 14.Bg3 Kc8
15.axb5 cxb5 16.Qd3 Bc6 17.Bf5 exf5 18.Rxe7 Bxe7
19.c4 1-0

Arena can read Chess 960 games in PGN format.


Arena - Help -File Formats - Loading PGN Files

Loading PGN Files

Under PGN → Load you can load a file in PGN format. First you can select a file from the well-known dialogue.

Then you see a list of games in that file. By double clicking on a line that game will then be loaded.

You can sort the list with a click on the topmost line. The list will be sorted by the column you clicked on.

If you search a player, you can type the name of him/her in the search line. The topmost entry of the list containing the name will be shown when the name was found.

If you have closed the list earlier, you may show it again with PGN / List.

You can jump from one game to another with the '+'- and '-' buttons on the toolbar. The keys Shift+Ctrl+F11 and Shift+Ctrl+F1 have the same effect, as the corresponding main menu items under PGN.

In the main menu PGN / Show with editor you can browse the PGN file with the editor set in the appearance dialogue.

The PGN file will be shown again after the next start of Arena, unless you close it with the 'close' button or close it in the PGN menu with 'close'.

The Load button loads the selected game

The Cancel button hides the list, but does not close the file.

The Close button closes the file.

With Load different PGN you can select a different file to view.

The button ELOStat starts ELOStat and performs an ELO calculation based on the games of the current PGN file.

The Options button leads you directly to the configuration dialogue for the PGN settings.

In this dialog (Options → Appearance under the tab 'PGN') you can determine the behaviour of Arena when loading a game. The PGN window can be closed or minimized after loading. You can also jump to a specified move. If you always want to go to the end of the game, just set a very high value here. You can determine if the PGN window remains on top of other windows, e.g. also on top of the Arena main window.


Arena - Help -File Formats - Save Current Game in PGN Format

Save Current Game in PGN Format

You can add the game currently loaded to a PGN file or save it to a new PGN file with PGN → Save current game in PGN Format.

What type of information will be saved in addition to the moves and the header(player names, date etc.), you can set in the Options → Appearance dialog under the PGN - tab.

You can select mainline, move value and depth here. This information will be saved to the PGN file for every move containing this information.


Arena - Help -File Formats - Save Game Back to PGN File

Save Game Back to PGN File

This function is under PGN → Save Game Back to PGN File.

A game loaded from a PGN file can be saved back to this file in an eventually modified form.

The game will be saved to the same position in the PGN file as before. If the game is bigger than before, the rest of the PGN file must be moved backwards, which might take some time in huge files.


Arena - Help -File Formats - PGN - Filter Game List

PGN - Filter Game List

With the filter-symbol in the PGN list

you can filter games out of the PGN-database:

All criteria you set there will be anded and applied via the "Search!" button. In the PGN list the games matching the search criteria will be shown.

In the title bar of the PGN list the number of found games is now displayed:

With the reset filter button

you can reset the filter so that all games are displayed again.


Arena - Help -File Formats - EPD

EPD Format

The EPD format is a file format for positions, not for complete games. Often after the ''bm'' tag the best move for this position is given with optional comments. You can find a lot of test suites on the Internet in EPD format.

Here is an example:

rq2r1k1/5pp1/p7/4bNP1/1p2P2P/5Q2/PP4K1/5R1R w - - 0 1 bm Nxg7 ;1 wins
6k1/2b2p1p/ppP3p1/4p3/PP1B4/5PP1/7P/7K w - - 0 1 bm Bxb6 ;2 wins
5r1k/p1q2pp1/1pb4p/n3R1NQ/7P/3B1P2/2P3P1/7K w - - 0 1 bm Re6 ;3 wins
5r1k/1P4pp/3P1p2/4p3/1P5P/3q2P1/Q2b2K1/B3R3 w - - 0 1 bm Qf7 ;4 wins
3B4/8/2B5/1K6/8/8/3p4/3k4 w - - 0 1 bm Ka6 ;5 wins


Arena - Help -File Formats - Loading EPD Files

Loading EPD Files

You can load a file in the EPD format with EPD → Load or Ctrl-E. The EPD list appears with Ctrl+Alt+E or EPD → List.

An additional list will appear in the Arena main window. It contains 3 columns: Number of the position, best move and position. Best move means, that the best move according to the file will be shown there, the ”bm” opcode. In the position column the whole string belonging to the position will be shown.

You can sort the list with a click of the topmost line by the respective column.

You can show the file with your editor with EPD → Show with editor.

You reach the EPD list with Ctrl+Alt+E or in the main menu under EPD → List.

You can create a new EPD file with EPD → New.

With the keys Ctrl+Alt+F11 and Ctrl+Alt+F12 or the main menu entries under EPD you can jump to the next or previous position.

You can reorder the positions with drag-and-drop. You simply select a position with the mouse, keep the mousebutton down, move it to a different location, and lift the mousebutton. Example:

You can add the current board position to the EPD file, if you right click with the mouse on the EPD list and select ”Add current board position” from the context menu.

You can also add a position in the clipboard to the EPD file by right clicking with the mouse on the EPD list and select ”Add from clipboard” from the context menu.

The current EPD file can be saved with EPD → Save. If you want to save with a different name, select EPD → Save as.

The EPD file will be loaded the next time you start Arena, unless you close it with the 'close' command in the context menu of the EPD list or close it in the main menu under EPD → Close.

If you are currently in analyse mode (the analyse button of the navigation bar is down), you can simply click on the next position without previously interrupting the analyse process with the analyse button. The analyse process will be interrupted by Arena and started again with the new position.


Arena - Help -File Formats - Saving EPD Files

Saving EPD Files

If you right-click on the EPD list and select "Add current board position" from the popup menu you can add the current position to the EPD file.

By selecting "delete position" in the popup menu you can delete the highlichted position from the EPD file.

The current EPD file can be saved with EPD/Save. If you want to save with a different name, select EPD → Save as.

Note: You can save a EPD file also in PGN format, thereby exporting to PGN.


Arena - Help -File Formats - More Files

More Files

Under File → Reload → More files you find a list of loaded files. The most recently loaded one it on top of the list.

This list is stored in the file "WeitereDateien.txt" ("More files" in German) in the Arena directory. You may delete or even edit this file without causing damage.


Arena - Help -Printing

Printing

With File → Print you reach this dialogue with the tabs described below.

General Information:

The notation with selected diagrams will be printed. You can select diagrams for printing by clicking on the move in the move list with the right mouse button and then select 'Move: Print Diagram'. You can deselect the diagram in the same way.

To print diagrams you have to install a chess true-type-font like 'Chess Merida' in your Windows system. A lot of fonts work properly, like 'Chess Merida', 'Chess Kingdom', 'DiagramTTHabsburg', 'DiagramTTOldstyle', 'DiagramTTUSCF'.

Tabsheet "Print"

Here you can start the printer configuration dialogue of your printer and define headlines and footlines.

Headlines and footlines consist of three areas each: A left, a middle and a right one. In all areas you can write any text you like. Certain variables are replaced by some interesting information:

  • /f : The current filename will be printed.
  • /n : The page number will be printed.
  • /d : The current date will be printed.
  • /t : The current time will be printed.
  • /p : Game information will be printed.

Tabsheet "Mode"

Under this tabsheet you can determine the format of the output and whether or not the mainlines, values or comments are displayed. Also the fonttype and size of text can be set.

Tabsheet "Margins/Columns"

Here you can adjust margins, number of columns and the margin between the columns.

Tabsheet "Header"

You can select the fields to be printed before the game notation.

Tabsheet "Diagrams"

The size of the diagrams can be adjusted here and whether they are printed with or without co-ordinates. Since Arena 1.99beta5 you also can choose to use the same font as you have selected for the chessboard on the monitor or to choose a different font.

In order to have diagrams printed, you have to select the move after which the diagram is to be printed with a mouse-right-click and then select "Move:Print Diagram". A "(D)" appears after the move.


Arena - Help -The DGT Chessboard

The DGT Chessboard

With the electronic chessboard from DGT you can play games with real pieces at a real chessboard and yet you can take advantage of the variety of modern chess programs and engines. The electronic chessboard from DGT relays all moves you make by hand to your PC.

To activate the DGT-support, choose 'Extras → Configure DGT chessboard' and make sure (under 'options') that you have selected the correct COM-port to which your DGT chessboard is connected. You don't need a driver for your DGT chessboard, but you can use the driver fom DGT, if you want. Select the appropriate radiobutton DGT support without driver or Use Driver from DGT. If you want to use the DGT-XL clock, you have to use the driver from DGT, see below.

Then start the DGT support under 'Extras → DGT Chessboard'. The position on your DGT chessboard is now shown in Arena.

Arena supports the following features:

  • You can make moves.
  • If you choose the 'edit' mode in Arena, you can make moves without a chess
    • engine interfering with what you do by beginning to calculate or making a move.
  • If you are not in 'edit' mode, the selected engine begins to calculate
    • after you have made a move.
  • You can take back the moves and replay them again.
  • You can set up a position
  • Arena can announce the moves if you have installed the sound files from
    • DGT and have chosen the corresponding option

Making moves:

If you make moves, Arena takes a little while to recognise that you are e.g. not just sliding with your rook along the line, but the process of making a move is finished. This time is adjustable in milliseconds in the options tab in the DGT- dialog ('Options/Configure DGT chessboard'). It defaults to 350 ms. If you prefer to move slower, you can rise the value. If you want to have the recognition of a move signalled with a sound, you can choose a sound file there, too.

Setting up a position:

Please save a previously played game. If you want to set up a position, remove the kings from the board. Arena is now in set-up mode and doesn't recognise any moves . You can now set up a position, of course also the normal starting position.

At last you place the kings on the DGT-chessboard. You place the king of the side to move on the board last. If black is to move, you place first the white, then the black king on the DGT board.

Move announcement:

If an engine has made a move, it is reasonable to let it announce by Arena, so you don't have to look on the computer screen again and again. You can download English and other move announcements from the Arena Website ( , section User files). The DGT XL chess clock can even show the moves on the clock , see below.

Move announcements are also found on the DGT website. Go to DGTProjects and select 'download'. There you find files like 'MoveAnnouncements_English'. Download and install them. All you have to do now is tell Arena where to find the files. Select 'Options/Appearance' and the tab 'sounds' and type or select the appropriate path. If you always want a move announcement, check the checkbox there. If you only want to have sounds announced if you're playing with the DGT chessboard, select the corresponding option in the DGT configuration dialog.

A hint on reversing the DGT board:

If one day you choose to reverse the DGT board and the white and black pieces are now on the opposite side than they were before, set up the initial chess position once. Arena now remembers the board orientation for future games, even if you leave the Arena program.

Leaving the DGT mode:

You can leave the DGT mode the same way you started it: 'Options/DGT Chessboard'.

DGT 2000 Chess Clock:

Arena supports this special chess clock. The times of the clock are transformed into times used for the corresponding move.

DGT XL Chess Clock:

Arena supports the special DGT XL chess clock, if you use the driver fom DGT. Moves and evaluations can be displayed on the clock. If you check Show evaluation, Arena constantly shows the evaluation from the engine.


Arena - Help -Opening Book

Opening Book

Concept:

In Arena you can load one mainbook. The content of the mainbook is shown on the "Book" tabsheet as an alternative to the movelist or together with the movelist in the "Mix 1" tabsheet. In this list you can see all moves, priorities, probabilities etc. This book is called here "Arena Mainbook". All engines will use this book, if they are configured to do so in the engine configuration dialogue.

Additionally you may define a sperate book for every engine. This book will be read before every move, when the engine is to move. This book is called here "Arena Enginebook". These settings can also be changed individually for each engine in the engine configuration dialogue.

Arena Mainbooks and Arena Enginebooks have the same Arena-specific file format and can only be handled by Arena, not by the engines.

The previous statements refer to Arena's own book management. A different topic is that many engines might use their own internal book. This book is here called "Internal Enginebook". You can set this book for UCI Engines in Arena in another dialogue. There is no standadized way of selecting a book for Winboard engines, refer to the documentation of the engine.


Arena - Help -Opening Book - Book Management

Book Management

Under Book → Manage you get to the following dialogue:

Tabsheet "Data"

Behind Arena Mainbook: you see the current Arena mainbook. You can set a comment and the author of the book here for information purposes. Please do not forget to save afterwards.

With the checkbox "Use Arena Mainbook" the mainbook can be switched on or off competely.

With the checkbox "Use Arena Enginebooks" you can switch off all Arena Enginebooks. In this case the engine-specific settings in the engine configuration dialogue do not matter.

Arena Enginebooks can be configured under Engines / Manage / Details /Books.

The checkbox "Use transpositions" determines if Arena checks for transpositions while reading the book file. Please note that the current position must be in the book as well as the move found in the book. There will be no transposition from a position not know to the book into the book. This will avoid to transpose into the book from positions where better moves might be available than found in the book.

Tabsheet "Move Selection"

Here you set the preferences for the selection and the play of bookmoves.

Under Minimal conditions to play the move you set which conditions must be met to play a move.

  • Minimal number of games: In the book there must be so many games with the move at least
  • Minimal won games: In the book there must be so many won games with the move at least
  • Win percentage white/black: With the move the given percentage of won games must have been reached

If one of these three conditions failes, the move will not be played.

With Probability set by... you set the wheight of the factors.

The priority can be set by the user for every move. A move with a higher priority will be played more often than one with lower priority. If you weigh this factor higher than the others, this factor has a higher influence than the others. The priority can be used by you to change the playing probability of a move easily without having to change other data like the number of games etc. of this move.

How important the number of games and the win percentage is for the playing probability you can also adjust here. Arena counts the won and lost games that you imported from PGN or added manually to the book.

This settings will be saved to every book file separately, so that you can use different values for every book file.

Tabsheet "Import"

In the line Import PGN file you can set a file to import into your book. You can import any number of files, but only one at a time.

Click on the Start button to start the import. First the PGN file will be loaded, the the import process starts.

You can cancel the import process at any time.

You can set up to which halfmove the games shall be imported (Import to halfmove).

Whether drawn games shall be importet, you can set here too (Import drawn games).

Some Hints, Step-by-Step:

If you want to use a single book for all engines, you can do the following:

  • Create a book with the "New" button, give it a new name. Type in a comment and the name of the author. Change the playout settings if you like.
  • Make moves on the chessboard and save them to the book with Book / Add line to book. Or import moves with the PGN import function previously described.
  • Go to Engines / Manage / Details. Select the engine. Go to the tabsheet Books. Set the checkbox for "Use Arena Mainbooks with this engine". You have to repeat this procedure for all engines.

  • If the checkbox "Use Arena Mainbook" in the Book / Manage dialogue, you and all engines can use this book.

If you want to create a special book for one engine and the other engines shall not use this book, do the following:

  • Create a book with the "New" button, give it a new name. Type in a comment and the name of the author. Change the playout settings if you like.
  • Make moves on the chessboard and save them to the book with Book / Add line to book. Or import moves with the PGN import function previously described.
  • Go to Engines / Manage / Details. Select the engine. Go to the tabsheet Books.In the field "Arena Enginebook" type in the name of the book or select it with the browse button.

  • If other Engines shall not use this book, select a different book in the Book / Manage dialogue or disable it with the checkbox "Use Arena Mainbook" off. Be sure to have the checkbox "Use Arena enginebooks" enabled.


Arena - Help -Opening Book - Book Information in the Main Window

Book Information in the Arena Main Window

As an alternative to the movelist you see here book information.

Explanation of the columns:

  • Move: Yes, the move stored in the book.
  • Prio: Priority. You can use it to adjust the playing probability.
    • If you do not like the move at all, you may set the priority to "0". Default priority is "5".
  • Games: The number of games in the book played with this move. Set if you imported games from a PGN file.
  • Win % : Percentage of won games.
  • Probability: Probability of playing the move for the chess engine. This is a relative value. Set this value in a relation to the sum of all probability values of all moves to get the percentage the move is played.
  • Line: ECO Code and name of the variation
  • Book: Name of the book.

The playing probability are set by the factors priority, number of games, win percentage. The weight of these factors can be set under the dialogue Book / Manage under "Playout".

You can play a move from the list by double-clicking on it.

If you right-click on a move, the pop-up menu of the book move list appears:

  • Priority: Set the priority of the move. 0 means the move will never be played.
  • Delete move: Deletes the move and all subsequent variations from the database.
  • Make move: Executes the move on the chessboard.
  • Edit move: You can manually change the values for this move: Priority,
    • games, won games, lost games, see here
  • Back: Goes one move back in the current game.
  • Help: Invokes the help system for this item
  • Book Management: Calles the Book Management dialogue.


Arena - Help -Opening Book - Add Line

Book - Add Line

From the main menu under Book you have the following possibilities to add a line of the current game to the current Arena mainbook.

Add Line to Book - Good for Both Sides:

Add game up to current move to the book.

Add Line to Book - Only for White:

Add game up to current move to the book as a victory for white. Arena counts the won and lost games that you imported from PGN or added this way manually to the book. You can use this value to determine the move selection if the book is used for engines later on.

Add Line to Book - Only for White + Priority:

Add game up to current move to the book, set priority higher than 0 only for white moves. The black moves recieve a priority of zero.

Add Line to Book - Only for Black:

Add game up to current move to the book as a victory for black.

Add Line to Book - Only for Black + Priority:

Add game up to current move to the book, set priority higher than 0 only for black moves. The white moves recieve a priority of zero.

Book Management


Arena - Help -Opening Book - Edit Book Move

Edit Book Move

If you click with the right mousebutton on a move in the movlist, a popup-menu appears and you can choose "Edit Move".

In the following dialogue you can set:

  • Priority: From 0=move will not be played to 9=move has highest mriority
  • Games: Number of played games
  • Won games: Number of lost games
  • Lost games: Number of lost games

The number of drawn games is computed automatically: Games - Won Games - Lost Games

All settings can affect the probability of playing the move, depending on the settings in the book management .


Arena - Help -Miscellaneous

Miscellaneous Information

Programm limitations:

  • Maximum number of engines : 3
  • Maximum number of installed engines : 1500
  • Maximum number of moves in a game : unlimited
  • Maximum length of a variation in a game : 2000 moves
  • Maximum number of games in a PGN-database: unlimited,
    • depends only on the available memory

Program Files:

  • Arena.exe : The chess GUI, main program file
  • Readme\English.chm : Help file in English language
  • Readme\German.chm : Help file in German language
  • Readme\Readme.txt : Hints in English language
  • Readme\Liesmich.txt : Hints in German language
  • Languages\English.lng: English language file
  • logo. jpg : Arena program logo
  • bundle.ini : File used for the automated installation of engines in a bundled package
  • engines.ini: File with information about engines, helps Arena installing engines
  • ecocodes9.txt : English opening classification
  • my.txt : Text file for your personal notes
  • Readme\copyright.txt Copyright Licenses for Arena and the engines

Suggested folders:

  • Anthems: National anthems to play e.g. if an engine starts
  • Arlokal: Tool for translators for localising Arena
  • Engines: The engines should be installed here, a subfolder for each engine.
  • Flags: National flags
  • Graphics: Graphics for the background, squares etc. of Arena
  • Languages: Language files, including English
  • Logos: Engine logo files
  • Readme: Readme file, copyright file, help files
  • Sounds: Sounds to play at various occasions
  • Speedtest: Files of the Arena Speed Test
  • Tournaments: Very much recommended folder for your tournament files

Here's how to improve the compatibility of Arena running on Windows XP:

1. Right click on the Arena icon and select "Create Shortcut".
2. Right click on the shortcut and select properties.
3. Select compatibility, choose in compatibility mode Windows NT 4.0 (Service Pack 5) and save.


Arena - Help -Miscellaneous - Logos, Flags and Anthems

Logos, Flags and Anthems

Logos can reside in different directories. This is the order, in which the appropriate logos are searched:

1. The in Engines / Manage in 'Details' specified Logofile
2. In the directory Logos: programname2.5.7. bmp
3. In the directory Logos: programname. bmp (without numbers, hyphens, underlines, square brackets and dots)
4. In the directory of the program: programname2.5.7. bmp

Flags:

1. In the directory Flags: MyCountry. bmp

Anthems:

1. In the directory Anthems: MyCountry.mid
2. In the directory of the program: programname2.5.7.wav
3. In the directory of the program: programname2.5.7.mid
4. In the directory of the program: programname2.5.7.midi

Description:

  • Directory 'Logos' = The directory 'Logos', that resides under the Arena directory
  • The directory of the program = The directory of the engine

  • MyCountry. bmp, MyCountry.mid = If in the engine configuration 'MyCountry' is
    • selected in the field 'country', this file will be loaded (shown, played)
  • The executable file of the engine has the name in
    • our case 'programname2.5.7. exe', but you've certainly noticed that already

In addition to the bmp- files also files with the extension jpg and gif are searched. The order is just that: bmp, jpg and then gif.

If you want to use only one logo for each version of the engine, the best practice is to save all the logos in the directory \Logos beyond the Arena directory. Then you are prepared for all future updates of engines, as long as the version number is only separated by numbers, hyphens, underlines, square brackets or dots, which is the case for most programs.

New logos:

Logos can be downloaded from our website There you find an up-to-date collection of many logo files in section 'User Files'.


Arena - Help -Miscellaneous - Command Line Parameters

Command Line Parameters

All parameters must have the form:

/parametername parametervalue or -parametername parametervalue

Parameter names are not case sensitive.

/lp "epdstring" or /loadposition "epdstring"

Loads the position given as a string in EPD format

/lpf filename or /loadpositionfile filename Loads specified EPD or FEN file.

/lpi n or /loadpositionindex n Loads specified position in EPD or FEN file.

/lgf filename or /loadgamefile filename Loads specified PGN file.

/lgi n or /loadgameindex n Loads specified game in PGNfile.

/fcp enginename or /firstchessprogram enginename Loads specified chess engine

/scp enginename or /secondchessprogram enginename Loads specified chess engine

/ics Starts with ICS mode, currently disabled

/top Makes Arena an always-on-top window

/flip or /xflip or /flipview Shows black side under the white side

/lsc #rrggbb or /lightsquarecolor #rrggbb Sets the colour of the white squares

/dsc #rrggbb or /darksquarecolor #rrggbb Sets the colour of the black squares

/bgc #rrggbb or /colorBackground #rrggbb Sets the colour of the Arena main window background

/ac #rrggbb or /analyzecolor #rrggbb Sets the colour for the analyse window (all areas)

/mwh pixels or /mainwindowheight pixels Changes the height of the Arena main window

/mww pixels or /mainwindowwidth pixels Changes the width of the Arena main window

/x pixels or /mainwindowx pixels Changes the horizontal position of the Arena main window

/y pixels or /mainwindowy pixels Changes the vertical position of the Arena main window

/maximized Starts Arena in a maximised window

/ibc mm:ss or /initialblackclock mm:ss Sets the initial value of the black clock

/iwc mm:ss or /initialwhiteclock mm:ss Sets the initial value of the white clock

/dgt Start in DGT Chessboard Mode

/match Start in match mode, starting a match with last parameters used

/mg or /matchGames n

Automatically runs an n-game match between two chess engines, with alternating colours. If the loadGameFile option is set, Arena will start each game with the given opening moves or the given position; otherwise, the games will start with the standard initial chess position. If this parameter is given, Arena quits after the match.

/runtournament Tournament file

Starts or continues a tournament. The name of the tournament file (*.at) must be given as a parameter. The tournament must have been configured once by you.

/shutdown

Shuts down the computer after a tournament, if the tournament is startet with the above "runtournament" command.

/tc or /timeControl mm:ss

Each player begins with his clock set to the timeControl period. Default: 5 minutes. The additional options movesPerSession and timeIncrement are mutually exclusive.

/mps or /movesPerSession moves

When both players have made movesPerSession moves, a new timeControl period is added to both clocks. Default: 40 moves.

/inc or /timeIncrement seconds

If this option is specified, movesPerSession is ignored. Instead, after each player's move, timeIncrement seconds are added to his clock (Blitz, Fischer Mode). Use -timeIncrement 0 if you want to require the entire game to be played in one timeControl period, with no increment. Default: -1, which specifies movesPerSession mode.

/analyze Start in analysis mode, the engine(s) loaded start analysing right after starting Arena

/nosplash Starts Arena without showing the splash screen

/e Load Arena with English language
/d Load Arena with German language
/f Load Arena with French language
/i Load Arena with Italian language
/p Load Arena with Portuguese language
/es Load Arena with Spanish language
/c Load Arena with Catalan language
/t Load Arena with Turkish language
/h Load Arena with Hungarian language
/pol Load Arena with Polish language

/No. Load with language No. Replace "No." with any valid language number,
e.g.:

1=Arabic | 16=Italian | 31=Turkish
2=Bulgarian | 17=Japanese | 32=Urdu
3=Catalan | 18=Korean | 33=Indonesian
4=Chinese | 19=Dutch | 34=Ukrainian
5=Czech | 20=Norwegian | 35=Belarusian
6=Danish | 21=Polish | 36=Slovenian
7=German | 22=Portuguese | 37=Estonian
8=Greek | 24=Romanian | 38=Latvian
9=English | 25=Russian | 39=Lithuanian
10=Spanish | 26=Croatian | 41=Farsi
11=Finnish | 27=Slovak | 42=Vietnamese
12=French | 28=Albanian | 43=Armenian
13=Hebrew | 29=Swedish | 44=AzeriLatin
14=Hungarian | 30=Thai | 45=Basque
15=Icelandic |  |

Examples:

Arena.exe /fcp SOS /scp Crafty /lpf C:\Arena\123test.EPD /lpi 2 /mg 4 /inc 1 /tc 01:00

Starts Arena with first engine SOS, second engine Crafty for a match for 4 games with the second position of the specified EPD file in Fischer-clock-mode 1/1.

Arena.exe /lp "1k1r4/1pp4p/2n5/P6R/2R1p1r1/2P2p2/1PP2B1P/4K3 b - - 0 1 bm ... e3"

Starts Arena with a test position in EPD format.

Arena.exe /26

Starts Arena with Croatian language (if there is such a language file)

Abbreviations:

#rrggbb = red value, green value, blue value in hex

mm:ss = minutes : seconds


Arena - Help -Miscellaneous - Game Data

Game Data

This dialog is reached by Game → Game Data in the main menu or function key F8.

Here you can type in important data for the current game. Don't forget to save the game afterwards.

The data fields correspond to the PGN Tags and will be saved into the PGN file, if you select PGN/Save current game as PGN. The comment will be saved as the non-standard PGN tag ''Comment''.

You should save the date in PGN format YYYY.MM.DD. July 25th 2002 would be written as 2002.07.25.

The data fields ECO, Opening will be overwritten by Arena, if Arena finds an opening according to its opening classification and a move is made by the user or by an engine.

The result will be set automatically if Arena finds a mate, stalemate or another game ending condition.


Arena - Help -Miscellaneous - Chess 960

Chess 960 or Fischer-Chess or Full Chess

With File → New - Fischer Chess or with a click on the right mousebutton on the chessboard-symbol ( [image] ) in the toolbar you start a new Chess 960 game. You can also choose a Chess 960 position in the "Set up a position"-dialogue if you would like to play a specific starting position.

This is a chess variant introduced by the former world champion Bobby Fischer. Nowadays its called Full Chess or Chess960 because of the number of different starting positions, which is of course 960.

The starting position of a Fischer game is changed randomly so that the pieces are on a different starting square than usual. The position of the pawns remains unchanged. The two bishops must stand on squares with different colours.

Example of a Chess 960 position:

Chess 960 has the advantage of making specialised opening knowledge worthless. From the first move on the players have to think on their own now. Tactical problems often occur in the very first moves. So be careful against the chess engines!

In a Chess 960 game the king has to be placed between the two rooks to make the extended castling possible. The two small dots (here in the c and g-file) under and above the chessboard indicate castling availability.

Castling works as follows:

No matter where king and rook stand before castling, their target squares are the same as in normal chess. For kingside castling the white rook is on f1 and the white king on g1 after castling. For queenside castling the white rook is on d1 and the white king on c1 after castling. The terms kingside and queenside make no sense in Fischer chess, so the terms a-side and h-side castling should be used.

To castle, just move the king or the rook, the move of the other piece will be made automatically. Be careful, especially with the rook: In many cases the rook move could be legal by itself (so might be the king move). To distinguish between a normal move and castling press Ctrl on the keyboard while you make the move with the mouse. You only need to press Ctrl if you must distinguish between castling and normal move.

Sometimes the king remains on the same square in the castling move. In this case you have to move the rook.

Castling seems complicated, but practice shows that it is understood intuitively.

The main difference to Shuffle Chess is that Shuffle Chess doesn't know about castling.

You can also determine in the Board set-up dialog if you want to play Fischer Random Chess from a position you manually set up.

Arena can read Fischer Random Chess Games in PGN format.

Engine support:

Because Chess 960 is played with a different starting position, the engines have to support this. Winboard engines need to support the edit mode, UCI-engine the "startpos FEN" command.

There are currently not many engines that fully support Chess 960. The problem lies in the correct execution and recognition of the extended castling move. Therefore an appeal to all engine programmers: Support Fischer Random Chess! Arena transmits and receives the castling moves in Fischer chess (and only there!) always in the form "O-O" for h-side castling or "O-O-O" for a-side castling (the letter 'O' is used, not the number '0').This applies both to the Winboard and UCI communication.


Arena - Help -Miscellaneous - Shuffle Chess

Shuffle Chess

With File → New - Shuffle Chess you start a new Shuffle chess game.

The starting position is changed randomly, though the position of the pawns is the same as in standard chess. Two bishops of different colours are also required.

Example of a Shuffle Chess position:

Shuffle chess has the advantage of making specialised opening knowledge worthless. From the first move on the players have to think on their own now. Tactical problems often occur in the very first moves. So be careful against the chess engines!

Because Shuffle chess is played with a different starting position, the engines have to support this. Winboard engines need to support the edit mode, UCI-engines the "startpos FEN" command.

Shuffle Chess doesn't know about castling, Chess 960 does.

You can also choose in Set up a position if you would like to play a Chess 960 or Shuffle Chess game.


Arena - Help -Miscellaneous - Play on a Local Network

Play on a Local Network

At first you have to make sure that both computers are connected to a remote drive on which both PCs have read and write access rights. You can use Explorer or File Manager to connect to a common network drive. The communication between the computers is done via a transfer file on this network drive.

Then do the following on both PCs:

  • In main menu select File / Net-game
  • Select a transfer file on the network drive. Don't forget the drive letter and the path!
    • Both PCs have to use the same file on the network.
  • Choose your colour
  • Play!

Important: White may only start moving when all settings are done at black's side!

To end the game please uncheck the Menu item from File/Net game.


Arena - Help -Miscellaneous - Play Over the Internet

Play Over the Internet

This function is currently not available.


Arena - Help -Miscellaneous - Technical Information

Technical Information

Chess programming is a time-consuming and complicated thing to do. As chess programmers mostly don't have the time to program a chess GUI of their own, one invented the 'engine-concept': separating the engine and the GUI (the 'GUI' = 'Graphical User Interface') into two seperate modules. The engine programmer can then concentrate on programming the algorithms of chess, not the algorithms of displaying the board, the pieces and so on .

The first GUI was Winboard, programmed by Tim Mann. It was initially intended as an interface for GNUchess and adopted to that text based program. This resulted in a relatively complicated protocol for the communication of GUI and engine. But some day it gained a lot of popularity by amateur programmers. Now there are over
200 chess engines and some of them play with great playing strength.

A new protocol was invented by Rudolf Huber and Stefan Meyer-Kahlen: The UCI-protocol. It simplifies programming for both the engine and the GUI programmer. Some important features are missing though, e.g. the engine doesn't know then a game ends, nor can it resign a game or offer a draw.

Chess engines work the following way:

All chess programs use the so called tree search to find the best move. It e.g. executes at first a white move, then a black move etc. As this can't go on for ever, the search will be terminated at a certain ply and the resulting position is evaluated. The values of the end positions are compared and the best move is selected.

Hints for Engine Programmers:

Some things sprang to my mind using WinBoard engines. They could make life easier as well with Winboard or Arena.

1. Installation:

  • The engine should work without parameters in the command line.
  • The book should work without changing ini-files.
  • The hashtables should be set to a reasonable, not too high value
  • Please add an init-file to your distribution, that has the same name as the exe-file. This way one can determine command line parameters, author name and country

2. Values submitted by the engine:

  • Mate values should be shown like the Crafty-standard (mate=32767)
  • Values should be always from the engine's point of view.

3. Analyse mode:

  • It is a matter of personal taste, if book moves should be shown here, if yes, they should be enclosed in brackets ('()')
  • Analysing shouldn't stop when finding a mate. Some programs find a shorter mate only after a longer search, which is irritating with mate problems

  • During analyse mode, the engines should react fast to input, because there is a possibility of fast moving within a game with the unadvertedly often 'undo' or 'MOVE'- commands.

Starting of Engines, a Technical Description:

Commands sent by an engine are processed in a separate thread, so it might happen that an engine sends commands to Arena and vice versa. Synchronisation works with delay loops and global variables.

At first a ''Starting engine'' message is displayed to the user. Arena initialises all internal variables.

Then Arena checks the existence of the exe-file of the engine (or the bat or cmd file).

The pipes for redirecting standard in and output of the engine are created and the engine started. If that goes wrong Arena waits three seconds and makes two additional tries to start the engine process.

Then the initialisation commands are sent to the engines. For Winboard engines: xboard, protover 2,new,random,hard and perhaps easy. A delay time of 60 ms is inserted.

For UCI engines: uci, isready. There a delay time of 1 second between the commands is used.

Then a second delay.

Then flags and logos are loaded.

Then Arena waits 7 seconds for any output of the engine. If such an output is sent, Arena continues earlier.

Now the command processing is different regarding Winboard or UCI:

Winboard:

Arena is always ready to process feature commands.

Arena waits one additional second for a feature command, if one has not already arrived.

If an engine needs a long time for initialisation, it should send the command "feature done=0" within the first eight seconds.

If "feature done=0" has been sent, Arena waits for "feature done=1" for an hour, like the Winboard protocol specification states. If no "feature done=0" or "feature done=1" command has been sent, there will be a delay of 0.6 seconds. The latter applies only for Winboard 1 engines.

Then Arena checks if the process has started and shows an ''Engine ready'' message.

UCI:

Arena waits 20 seconds for a "readyok" message of the engine. If such a message arrives, Arena continues earlier.

During this time all ''option'' commands and ''uciok'' should be sent by the UCI engine.

Immediately after "uciok" all parameter settings of the engine are sent to the engine. This restores the last user settings.

Then Arena checks if the process has started and shows an ''Engine ready'' message.

The Process of Stopping an Engine:

UCI engines receive a ''stop'' command, Winboard engines a ''?'' to stop a calculation that maybe is still running.

Then ''quit'' is sent.

The engine should terminate itself within 2 seconds, if not, it will be terminated with "TerminateProcess" by Arena.


Arena - Help -Miscellaneous - Move Announcements with Sound

Move Announcements with Sound

We now have some very good move announcements files in English and German by Jörg Borchardt on our website

These are the filenames to use, best is to place them in the Arena Sounds directory:

0-0.wav
0-0-0.wav
1from.wav
1to.wav
2from.wav
2to.wav
3from.wav
3to.wav
4from.wav
4to.wav
5from.wav
5to.wav
6from.wav
6to.wav
7from.wav
7to.wav
8from.wav
8to.wav Afrom.wav
Bfrom.wav
Bishop.wav
Cfrom.wav
Checkmate.wav
Click.wav
Dfrom.wav
drawAccept.wav
Drawoffer.wav
Efrom.wav
EnPassant.wav
Ffrom.wav
Gfrom.wav
Hfrom.wav
King.wav
Knight.wav
Oke.wav
Pawn.wav
Queen.wav
Resign.wav
Rook.wav
Stalemate.wav
Takes.wav


Arena - Help -Miscellaneous - Your Personal Notes

Your Personal Notes

You get here clicking the main menu "Help → Notes".

Shows the file 'my.txt' in the Arena directory with the editor. This is a text file for your personal notes.


Arena - Help -Miscellaneous - Overview of the Current Game

Overview of the Current Game

In the main menu under Options → Overview or Shift+F9 you get to this dialogue.

You see an overview of the current game with the moves that were made and the values. You can jump to a position with a double-click.


Arena - Help -Miscellaneous - The Autoplayer

The Autoplayer

You go here with "Extras → Autoplayer" or Ctrl+A.

With this function you can play automated test matches with two programs on two separate computers. This has the advantage that every program has total control and CPU time on its computer.

You need a null-modem cable to connect the two computers. On the "Options" tab you have to select the correct Com port.

Tabsheet "Play":

You can select the number of games to be played in the input field "Number of Games". This must be done before the match starts. This setting is only possible if Arena acts as master.

The current match scores are shown in the top right corner. It has the form "won games here/ won games opponent/ draws/ unknown result". Arena does not adjudicate games or tries to somehow determine the result. Only games with a clear result are counted as win, loss or draw. Everything else falls into the "unknown" category. A clear result is mate, stalemate, threefold repetition, not enough material, 50-moves rule. If the engine running under Arena has given up and Arena acts as master or the opponent sends a resign command in extended mode is also considered a clear result. If an opponent doesn't move for some time because maybe he has given up, this is counted as "unknown" result. This applies also if Arena is told by the master to end and save the game.

If "Master" is selected, Arena works as master, otherwise as slave.

With "Start Connection" you start the connection to the opponent and the match. You should first start the Slave, then the master.

With "Cancel" you can abort an ongoing match. Currently there is no possibility to resume it.

With "Close" you can close the Autoplayer dialogue. If you also want to abort the match, you should press "Cancel" previously.

Tabsheet "Options":

As there is no way to communicate the opponent's name over the Autoplayer protocol you can and have to set the name in the "Opponent Name" edit field. Important if you save the games in a PGN file.

The name of the match can be set, too. This name will be saved in the "Event" tag in the PGN file.

Under "Port" you have to choose the port where the serial cable is connected to.

If "Save Games" is selected, the games are automatically saved in a PGN file. You can type in the name of this file in the edit field right underneath.

The "Timeout" should be chosen according the average move time, that is expected for the current time control. You should take 7 times of that value, maybe even more. The timeout is only valid if Arena acts as master. The timeout is necessary if the slave on the other side does not move for the given period, e.g. if he has given up and does not send a move.

"Start with back" means that the engine running on the master starts playing with black in the first game. If "Switch Colours" is off, this stays that way during the whole match. This setting is only valid if Arena acts as master.

"Switch Colours" has the effect, that with every start of a new game the programs switch sides from white to black or vice versa. This setting is only valid if Arena acts as master.

Tabsheet "Extended":

"Use Extended Mode" means that, draw offers, accepting and rejecting draws and resigns are communicated over the Autoplayer, if both Autoplayers support this.

"Send Underpromotions" means that the newer protocol version is used, where underpromotions are allowed. The first version of the Autoplayer had no underpromotions. If you play against an old program with Autoplayer without underpromotions, you should switch off "Send Underpromotions" here.

"Debug" means that more information is displayed in the list on the "debug" tabsheet.

Tabsheet "Debug":

Here all communication (except acknowledge bytes) are shown with their meanings, if known.

How to set-up your computers for the use of the Autoplayer:

1. Check that your computers are connected with the null-modem cable.
2. Start your programs or GUIs that you want to play against each other (Note: that some GUI:s and some engines want to be started as master and will not run as a slave and that therefore this and the order of starting is important) .
3. Select the level you want to run the match with.
4. Check the engine configuration for the engines that you want to run. Important are resign settings (see below), hash table size, availability of tablebases and pondering.

5. Select the correct Com port in the Autoplayer configuration.
6. Set the options for the Autoplayer on the program that will be the master, e.g. switching sides, number of games to be played etc.
7. Start the Autoplayer on the program that should be slave.
8. Start the Autoplayer on the program that should be master.
9. You can abort the Autoplayer at any time you want. You should abort the Autoplayer on both programs then.

Important Arena settings:

If you run Arena as master, you can and should turn resigning on, either in the configuration of the engine or, if you run a UCI engine, in the UCI options tab of the Engines/Install and Select dialog.

If you run Arena as slave, you should turn resigning on, if you are using extended mode (tabsheet extended, this is the recommended way). If you are not using extended mode, you should turn resigning off. In this case there is no way to tell the opponent, when an engine running under Arena resigns, so the opponent master program has to time out and you lose time in most cases. Almost all GUIs support extendend mode nowadays.

The opponent program should be run with "Extended Mode = On", if you test against Arena. The extensions of the protocol like resigning are supported.

Credits

The Autoplayer is a development of Dr. Christian Donninger. The extensions for the protocol regarding draw offering and resigning that exist are supported. Many drivers and implementations exists in commercial software. The Autoplayer is used to thoroughly test chess programs and engines in long test matches.


Arena - Help -Glossary

Glossary

Engine

A chess engine calculates a move. It sends search information for the user to the GUI. Opposite: GUI. Engines communicate with the GUI with protocols. Examples: SOS, Ruffian.

GUI

Graphical User Interface. The GUI shows the user the chessboard, movelist, information on the search process of the engine. Arena and Winboard are GUIs for chess.

Half move

A half move is always a move from white or black. A move is generally two half moves, one from white and one from black.

Pondering, Permanent Brain

Calculating while the opponent is to move. E.g. while the opponent thinks on his move, the chessengine can calculate countermoves. The result is often a greater playing strength.

ProDeo

A chess engine by Ed Schröder. It is a decendant of the world-famous " Rebel" chess program.

Protocol

Protocols are used to organize the communication between engine and GUI.The most important ones are: UCI und Winboard.

SOS

SOS - That's the name of a strong chess engine, programmed by Rudolf Huber. SOS was the first engine to become Arena Partner and is included in most Arena packages.


Arena - Help -Index

Index

"Chip" button
Carousel System
Demo button
DGT 2000 Chess Clock
DGT XL Chess Clock
External Editor
Movelist
Offering a Draw
Operator time
Pondering
Position -/ Export
ProDeo
Protocol
protocol file
Rebel
Resigning a Game
SOS
The Chess Clocks and Logos Window
The Tournament-Info-Window
Toolbar Configuration
Values always from white's point of view

The selected item is marked light blue in the text.